package Prima::PS::Unicode;
use strict;
use warnings;
no warnings 'once';
$Prima::PS::Unicode = { 
# -----------------------------------------------------------
# Copyright 2002-2019 Adobe (http://www.adobe.com/).
#
# Redistribution and use in source and binary forms, with or
# without modification, are permitted provided that the
# following conditions are met:
#
# Redistributions of source code must retain the above
# copyright notice, this list of conditions and the following
# disclaimer.
#
# Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials
# provided with the distribution.
#
# Neither the name of Adobe nor the names of its contributors
# may be used to endorse or promote products derived from this
# software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# -----------------------------------------------------------
"\x{0001}" => 'controlSTX',
"\x{0002}" => 'controlSOT',
"\x{0003}" => 'controlETX',
"\x{0004}" => 'controlEOT',
"\x{0005}" => 'controlENQ',
"\x{0006}" => 'controlACK',
"\x{0007}" => 'controlBEL',
"\x{0008}" => 'controlBS',
"\x{0009}" => 'controlHT',
"\x{000A}" => 'controlLF',
"\x{000B}" => 'controlVT',
"\x{000C}" => 'controlFF',
"\x{000D}" => 'controlCR',
"\x{000E}" => 'controlSO',
"\x{000F}" => 'controlSI',
"\x{0010}" => 'controlDLE',
"\x{0011}" => 'controlDC1',
"\x{0012}" => 'controlDC2',
"\x{0013}" => 'controlDC3',
"\x{0014}" => 'controlDC4',
"\x{0015}" => 'controlNAK',
"\x{0016}" => 'controlSYN',
"\x{0017}" => 'controlETB',
"\x{0018}" => 'controlCAN',
"\x{0019}" => 'controlEM',
"\x{001A}" => 'controlSUB',
"\x{001B}" => 'controlESC',
"\x{001C}" => 'controlFS',
"\x{001D}" => 'controlGS',
"\x{001E}" => 'controlRS',
"\x{001F}" => 'controlUS',
"\x{0020}" => 'space',
"\x{0021}" => 'exclam',
"\x{0022}" => 'quotedbl',
"\x{0023}" => 'numbersign',
"\x{0024}" => 'dollar',
"\x{0025}" => 'percent',
"\x{0026}" => 'ampersand',
"\x{0027}" => 'quotesingle',
"\x{0028}" => 'parenleft',
"\x{0029}" => 'parenright',
"\x{002A}" => 'asterisk',
"\x{002B}" => 'plus',
"\x{002C}" => 'comma',
"\x{002D}" => 'hyphen',
"\x{002E}" => 'period',
"\x{002F}" => 'slash',
"\x{0030}" => 'zero',
"\x{0031}" => 'one',
"\x{0032}" => 'two',
"\x{0033}" => 'three',
"\x{0034}" => 'four',
"\x{0035}" => 'five',
"\x{0036}" => 'six',
"\x{0037}" => 'seven',
"\x{0038}" => 'eight',
"\x{0039}" => 'nine',
"\x{003A}" => 'colon',
"\x{003B}" => 'semicolon',
"\x{003C}" => 'less',
"\x{003D}" => 'equal',
"\x{003E}" => 'greater',
"\x{003F}" => 'question',
"\x{0040}" => 'at',
"\x{0041}" => 'A',
"\x{0042}" => 'B',
"\x{0043}" => 'C',
"\x{0044}" => 'D',
"\x{0045}" => 'E',
"\x{0046}" => 'F',
"\x{0047}" => 'G',
"\x{0048}" => 'H',
"\x{0049}" => 'I',
"\x{004A}" => 'J',
"\x{004B}" => 'K',
"\x{004C}" => 'L',
"\x{004D}" => 'M',
"\x{004E}" => 'N',
"\x{004F}" => 'O',
"\x{0050}" => 'P',
"\x{0051}" => 'Q',
"\x{0052}" => 'R',
"\x{0053}" => 'S',
"\x{0054}" => 'T',
"\x{0055}" => 'U',
"\x{0056}" => 'V',
"\x{0057}" => 'W',
"\x{0058}" => 'X',
"\x{0059}" => 'Y',
"\x{005A}" => 'Z',
"\x{005B}" => 'bracketleft',
"\x{005C}" => 'backslash',
"\x{005D}" => 'bracketright',
"\x{005E}" => 'asciicircum',
"\x{005F}" => 'underscore',
"\x{0060}" => 'grave',
"\x{0061}" => 'a',
"\x{0062}" => 'b',
"\x{0063}" => 'c',
"\x{0064}" => 'd',
"\x{0065}" => 'e',
"\x{0066}" => 'f',
"\x{0067}" => 'g',
"\x{0068}" => 'h',
"\x{0069}" => 'i',
"\x{006A}" => 'j',
"\x{006B}" => 'k',
"\x{006C}" => 'l',
"\x{006D}" => 'm',
"\x{006E}" => 'n',
"\x{006F}" => 'o',
"\x{0070}" => 'p',
"\x{0071}" => 'q',
"\x{0072}" => 'r',
"\x{0073}" => 's',
"\x{0074}" => 't',
"\x{0075}" => 'u',
"\x{0076}" => 'v',
"\x{0077}" => 'w',
"\x{0078}" => 'x',
"\x{0079}" => 'y',
"\x{007A}" => 'z',
"\x{007B}" => 'braceleft',
"\x{007C}" => 'bar',
"\x{007D}" => 'braceright',
"\x{007E}" => 'asciitilde',
"\x{007F}" => 'controlDEL',
"\x{00A0}" => 'nbspace',
"\x{00A1}" => 'exclamdown',
"\x{00A2}" => 'cent',
"\x{00A3}" => 'sterling',
"\x{00A4}" => 'currency',
"\x{00A5}" => 'yen',
"\x{00A6}" => 'brokenbar',
"\x{00A7}" => 'section',
"\x{00A8}" => 'dieresis',
"\x{00A9}" => 'copyright',
"\x{00AA}" => 'ordfeminine',
"\x{00AB}" => 'guillemotleft',
"\x{00AC}" => 'logicalnot',
"\x{00AD}" => 'sfthyphen',
"\x{00AE}" => 'registered',
"\x{00AF}" => 'macron',
"\x{00B0}" => 'degree',
"\x{00B1}" => 'plusminus',
"\x{00B2}" => 'twosuperior',
"\x{00B3}" => 'threesuperior',
"\x{00B4}" => 'acute',
"\x{00B5}" => 'mu',
"\x{00B6}" => 'paragraph',
"\x{00B7}" => 'middot',
"\x{00B8}" => 'cedilla',
"\x{00B9}" => 'onesuperior',
"\x{00BA}" => 'ordmasculine',
"\x{00BB}" => 'guillemotright',
"\x{00BC}" => 'onequarter',
"\x{00BD}" => 'onehalf',
"\x{00BE}" => 'threequarters',
"\x{00BF}" => 'questiondown',
"\x{00C0}" => 'Agrave',
"\x{00C1}" => 'Aacute',
"\x{00C2}" => 'Acircumflex',
"\x{00C3}" => 'Atilde',
"\x{00C4}" => 'Adieresis',
"\x{00C5}" => 'Aring',
"\x{00C6}" => 'AE',
"\x{00C7}" => 'Ccedilla',
"\x{00C8}" => 'Egrave',
"\x{00C9}" => 'Eacute',
"\x{00CA}" => 'Ecircumflex',
"\x{00CB}" => 'Edieresis',
"\x{00CC}" => 'Igrave',
"\x{00CD}" => 'Iacute',
"\x{00CE}" => 'Icircumflex',
"\x{00CF}" => 'Idieresis',
"\x{00D0}" => 'Eth',
"\x{00D1}" => 'Ntilde',
"\x{00D2}" => 'Ograve',
"\x{00D3}" => 'Oacute',
"\x{00D4}" => 'Ocircumflex',
"\x{00D5}" => 'Otilde',
"\x{00D6}" => 'Odieresis',
"\x{00D7}" => 'multiply',
"\x{00D8}" => 'Oslash',
"\x{00D9}" => 'Ugrave',
"\x{00DA}" => 'Uacute',
"\x{00DB}" => 'Ucircumflex',
"\x{00DC}" => 'Udieresis',
"\x{00DD}" => 'Yacute',
"\x{00DE}" => 'Thorn',
"\x{00DF}" => 'germandbls',
"\x{00E0}" => 'agrave',
"\x{00E1}" => 'aacute',
"\x{00E2}" => 'acircumflex',
"\x{00E3}" => 'atilde',
"\x{00E4}" => 'adieresis',
"\x{00E5}" => 'aring',
"\x{00E6}" => 'ae',
"\x{00E7}" => 'ccedilla',
"\x{00E8}" => 'egrave',
"\x{00E9}" => 'eacute',
"\x{00EA}" => 'ecircumflex',
"\x{00EB}" => 'edieresis',
"\x{00EC}" => 'igrave',
"\x{00ED}" => 'iacute',
"\x{00EE}" => 'icircumflex',
"\x{00EF}" => 'idieresis',
"\x{00F0}" => 'eth',
"\x{00F1}" => 'ntilde',
"\x{00F2}" => 'ograve',
"\x{00F3}" => 'oacute',
"\x{00F4}" => 'ocircumflex',
"\x{00F5}" => 'otilde',
"\x{00F6}" => 'odieresis',
"\x{00F7}" => 'divide',
"\x{00F8}" => 'oslash',
"\x{00F9}" => 'ugrave',
"\x{00FA}" => 'uacute',
"\x{00FB}" => 'ucircumflex',
"\x{00FC}" => 'udieresis',
"\x{00FD}" => 'yacute',
"\x{00FE}" => 'thorn',
"\x{00FF}" => 'ydieresis',
"\x{0100}" => 'Amacron',
"\x{0101}" => 'amacron',
"\x{0102}" => 'Abreve',
"\x{0103}" => 'abreve',
"\x{0104}" => 'Aogonek',
"\x{0105}" => 'aogonek',
"\x{0106}" => 'Cacute',
"\x{0107}" => 'cacute',
"\x{0108}" => 'Ccircumflex',
"\x{0109}" => 'ccircumflex',
"\x{010A}" => 'Cdot',
"\x{010B}" => 'cdot',
"\x{010C}" => 'Ccaron',
"\x{010D}" => 'ccaron',
"\x{010E}" => 'Dcaron',
"\x{010F}" => 'dcaron',
"\x{0110}" => 'Dcroat',
"\x{0111}" => 'dcroat',
"\x{0112}" => 'Emacron',
"\x{0113}" => 'emacron',
"\x{0114}" => 'Ebreve',
"\x{0115}" => 'ebreve',
"\x{0116}" => 'Edot',
"\x{0117}" => 'edot',
"\x{0118}" => 'Eogonek',
"\x{0119}" => 'eogonek',
"\x{011A}" => 'Ecaron',
"\x{011B}" => 'ecaron',
"\x{011C}" => 'Gcircumflex',
"\x{011D}" => 'gcircumflex',
"\x{011E}" => 'Gbreve',
"\x{011F}" => 'gbreve',
"\x{0120}" => 'Gdot',
"\x{0121}" => 'gdot',
"\x{0122}" => 'Gcedilla',
"\x{0123}" => 'gcedilla',
"\x{0124}" => 'Hcircumflex',
"\x{0125}" => 'hcircumflex',
"\x{0126}" => 'Hbar',
"\x{0127}" => 'hbar',
"\x{0128}" => 'Itilde',
"\x{0129}" => 'itilde',
"\x{012A}" => 'Imacron',
"\x{012B}" => 'imacron',
"\x{012C}" => 'Ibreve',
"\x{012D}" => 'ibreve',
"\x{012E}" => 'Iogonek',
"\x{012F}" => 'iogonek',
"\x{0130}" => 'Idot',
"\x{0131}" => 'dotlessi',
"\x{0132}" => 'IJ',
"\x{0133}" => 'ij',
"\x{0134}" => 'Jcircumflex',
"\x{0135}" => 'jcircumflex',
"\x{0136}" => 'Kcedilla',
"\x{0137}" => 'kcedilla',
"\x{0138}" => 'kgreenlandic',
"\x{0139}" => 'Lacute',
"\x{013A}" => 'lacute',
"\x{013B}" => 'Lcedilla',
"\x{013C}" => 'lcedilla',
"\x{013D}" => 'Lcaron',
"\x{013E}" => 'lcaron',
"\x{013F}" => 'Ldot',
"\x{0140}" => 'ldot',
"\x{0141}" => 'Lslash',
"\x{0142}" => 'lslash',
"\x{0143}" => 'Nacute',
"\x{0144}" => 'nacute',
"\x{0145}" => 'Ncedilla',
"\x{0146}" => 'ncedilla',
"\x{0147}" => 'Ncaron',
"\x{0148}" => 'ncaron',
"\x{0149}" => 'napostrophe',
"\x{014A}" => 'Eng',
"\x{014B}" => 'eng',
"\x{014C}" => 'Omacron',
"\x{014D}" => 'omacron',
"\x{014E}" => 'Obreve',
"\x{014F}" => 'obreve',
"\x{0150}" => 'Odblacute',
"\x{0151}" => 'odblacute',
"\x{0152}" => 'OE',
"\x{0153}" => 'oe',
"\x{0154}" => 'Racute',
"\x{0155}" => 'racute',
"\x{0156}" => 'Rcedilla',
"\x{0157}" => 'rcedilla',
"\x{0158}" => 'Rcaron',
"\x{0159}" => 'rcaron',
"\x{015A}" => 'Sacute',
"\x{015B}" => 'sacute',
"\x{015C}" => 'Scircumflex',
"\x{015D}" => 'scircumflex',
"\x{015E}" => 'Scedilla',
"\x{015F}" => 'scedilla',
"\x{0160}" => 'Scaron',
"\x{0161}" => 'scaron',
"\x{0162}" => 'Tcedilla',
"\x{0163}" => 'tcedilla',
"\x{0164}" => 'Tcaron',
"\x{0165}" => 'tcaron',
"\x{0166}" => 'Tbar',
"\x{0167}" => 'tbar',
"\x{0168}" => 'Utilde',
"\x{0169}" => 'utilde',
"\x{016A}" => 'Umacron',
"\x{016B}" => 'umacron',
"\x{016C}" => 'Ubreve',
"\x{016D}" => 'ubreve',
"\x{016E}" => 'Uring',
"\x{016F}" => 'uring',
"\x{0170}" => 'Udblacute',
"\x{0171}" => 'udblacute',
"\x{0172}" => 'Uogonek',
"\x{0173}" => 'uogonek',
"\x{0174}" => 'Wcircumflex',
"\x{0175}" => 'wcircumflex',
"\x{0176}" => 'Ycircumflex',
"\x{0177}" => 'ycircumflex',
"\x{0178}" => 'Ydieresis',
"\x{0179}" => 'Zacute',
"\x{017A}" => 'zacute',
"\x{017B}" => 'Zdot',
"\x{017C}" => 'zdot',
"\x{017D}" => 'Zcaron',
"\x{017E}" => 'zcaron',
"\x{017F}" => 'longs',
"\x{0180}" => 'bstroke',
"\x{0181}" => 'Bhook',
"\x{0182}" => 'Btopbar',
"\x{0183}" => 'btopbar',
"\x{0184}" => 'Tonesix',
"\x{0185}" => 'tonesix',
"\x{0186}" => 'Oopen',
"\x{0187}" => 'Chook',
"\x{0188}" => 'chook',
"\x{0189}" => 'Dafrican',
"\x{018A}" => 'Dhook',
"\x{018B}" => 'Dtopbar',
"\x{018C}" => 'dtopbar',
"\x{018D}" => 'deltaturned',
"\x{018E}" => 'Ereversed',
"\x{018F}" => 'Schwa',
"\x{0190}" => 'Eopen',
"\x{0191}" => 'Fhook',
"\x{0192}" => 'florin',
"\x{0193}" => 'Ghook',
"\x{0194}" => 'Gammaafrican',
"\x{0195}" => 'hv',
"\x{0196}" => 'Iotaafrican',
"\x{0197}" => 'Istroke',
"\x{0198}" => 'Khook',
"\x{0199}" => 'khook',
"\x{019A}" => 'lbar',
"\x{019B}" => 'lambdastroke',
"\x{019C}" => 'Mturned',
"\x{019D}" => 'Nhookleft',
"\x{019E}" => 'nlegrightlong',
"\x{019F}" => 'Ocenteredtilde',
"\x{01A0}" => 'Ohorn',
"\x{01A1}" => 'ohorn',
"\x{01A2}" => 'Oi',
"\x{01A3}" => 'oi',
"\x{01A4}" => 'Phook',
"\x{01A5}" => 'phook',
"\x{01A6}" => 'yr',
"\x{01A7}" => 'Tonetwo',
"\x{01A8}" => 'tonetwo',
"\x{01A9}" => 'Esh',
"\x{01AA}" => 'eshreversedloop',
"\x{01AB}" => 'tpalatalhook',
"\x{01AC}" => 'Thook',
"\x{01AD}" => 'thook',
"\x{01AE}" => 'Tretroflexhook',
"\x{01AF}" => 'Uhorn',
"\x{01B0}" => 'uhorn',
"\x{01B1}" => 'Upsilonafrican',
"\x{01B2}" => 'Vhook',
"\x{01B3}" => 'Yhook',
"\x{01B4}" => 'yhook',
"\x{01B5}" => 'Zstroke',
"\x{01B6}" => 'zstroke',
"\x{01B7}" => 'Ezh',
"\x{01B8}" => 'Ezhreversed',
"\x{01B9}" => 'ezhreversed',
"\x{01BA}" => 'ezhtail',
"\x{01BB}" => 'twostroke',
"\x{01BC}" => 'Tonefive',
"\x{01BD}" => 'tonefive',
"\x{01BE}" => 'glottalinvertedstroke',
"\x{01BF}" => 'wynn',
"\x{01C0}" => 'clickdental',
"\x{01C1}" => 'clicklateral',
"\x{01C2}" => 'clickalveolar',
"\x{01C3}" => 'clickretroflex',
"\x{01C4}" => 'DZcaron',
"\x{01C5}" => 'Dzcaron',
"\x{01C6}" => 'dzcaron',
"\x{01C7}" => 'LJ',
"\x{01C8}" => 'Lj',
"\x{01C9}" => 'lj',
"\x{01CA}" => 'NJ',
"\x{01CB}" => 'Nj',
"\x{01CC}" => 'nj',
"\x{01CD}" => 'Acaron',
"\x{01CE}" => 'acaron',
"\x{01CF}" => 'Icaron',
"\x{01D0}" => 'icaron',
"\x{01D1}" => 'Ocaron',
"\x{01D2}" => 'ocaron',
"\x{01D3}" => 'Ucaron',
"\x{01D4}" => 'ucaron',
"\x{01D5}" => 'Udieresismacron',
"\x{01D6}" => 'udieresismacron',
"\x{01D7}" => 'Udieresisacute',
"\x{01D8}" => 'udieresisacute',
"\x{01D9}" => 'Udieresiscaron',
"\x{01DA}" => 'udieresiscaron',
"\x{01DB}" => 'Udieresisgrave',
"\x{01DC}" => 'udieresisgrave',
"\x{01DD}" => 'eturned',
"\x{01DE}" => 'Adieresismacron',
"\x{01DF}" => 'adieresismacron',
"\x{01E0}" => 'Adotmacron',
"\x{01E1}" => 'adotmacron',
"\x{01E2}" => 'AEmacron',
"\x{01E3}" => 'aemacron',
"\x{01E4}" => 'Gstroke',
"\x{01E5}" => 'gstroke',
"\x{01E6}" => 'Gcaron',
"\x{01E7}" => 'gcaron',
"\x{01E8}" => 'Kcaron',
"\x{01E9}" => 'kcaron',
"\x{01EA}" => 'Oogonek',
"\x{01EB}" => 'oogonek',
"\x{01EC}" => 'Oogonekmacron',
"\x{01ED}" => 'oogonekmacron',
"\x{01EE}" => 'Ezhcaron',
"\x{01EF}" => 'ezhcaron',
"\x{01F0}" => 'jcaron',
"\x{01F1}" => 'DZ',
"\x{01F2}" => 'Dz',
"\x{01F3}" => 'dz',
"\x{01F4}" => 'Gacute',
"\x{01F5}" => 'gacute',
"\x{01FA}" => 'Aringacute',
"\x{01FB}" => 'aringacute',
"\x{01FC}" => 'AEacute',
"\x{01FD}" => 'aeacute',
"\x{01FE}" => 'Oslashacute',
"\x{01FF}" => 'oslashacute',
"\x{0200}" => 'Adblgrave',
"\x{0201}" => 'adblgrave',
"\x{0202}" => 'Ainvertedbreve',
"\x{0203}" => 'ainvertedbreve',
"\x{0204}" => 'Edblgrave',
"\x{0205}" => 'edblgrave',
"\x{0206}" => 'Einvertedbreve',
"\x{0207}" => 'einvertedbreve',
"\x{0208}" => 'Idblgrave',
"\x{0209}" => 'idblgrave',
"\x{020A}" => 'Iinvertedbreve',
"\x{020B}" => 'iinvertedbreve',
"\x{020C}" => 'Odblgrave',
"\x{020D}" => 'odblgrave',
"\x{020E}" => 'Oinvertedbreve',
"\x{020F}" => 'oinvertedbreve',
"\x{0210}" => 'Rdblgrave',
"\x{0211}" => 'rdblgrave',
"\x{0212}" => 'Rinvertedbreve',
"\x{0213}" => 'rinvertedbreve',
"\x{0214}" => 'Udblgrave',
"\x{0215}" => 'udblgrave',
"\x{0216}" => 'Uinvertedbreve',
"\x{0217}" => 'uinvertedbreve',
"\x{0218}" => 'Scommaaccent',
"\x{0219}" => 'scommaaccent',
"\x{0250}" => 'aturned',
"\x{0251}" => 'ascript',
"\x{0252}" => 'ascriptturned',
"\x{0253}" => 'bhook',
"\x{0254}" => 'oopen',
"\x{0255}" => 'ccurl',
"\x{0256}" => 'dtail',
"\x{0257}" => 'dhook',
"\x{0258}" => 'ereversed',
"\x{0259}" => 'schwa',
"\x{025A}" => 'schwahook',
"\x{025B}" => 'eopen',
"\x{025C}" => 'eopenreversed',
"\x{025D}" => 'eopenreversedhook',
"\x{025E}" => 'eopenreversedclosed',
"\x{025F}" => 'jdotlessstroke',
"\x{0260}" => 'ghook',
"\x{0261}" => 'gscript',
"\x{0263}" => 'gammalatinsmall',
"\x{0264}" => 'ramshorn',
"\x{0265}" => 'hturned',
"\x{0266}" => 'hhook',
"\x{0267}" => 'henghook',
"\x{0268}" => 'istroke',
"\x{0269}" => 'iotalatin',
"\x{026B}" => 'lmiddletilde',
"\x{026C}" => 'lbelt',
"\x{026D}" => 'lhookretroflex',
"\x{026E}" => 'lezh',
"\x{026F}" => 'mturned',
"\x{0270}" => 'mlonglegturned',
"\x{0271}" => 'mhook',
"\x{0272}" => 'nhookleft',
"\x{0273}" => 'nhookretroflex',
"\x{0275}" => 'obarred',
"\x{0277}" => 'omegalatinclosed',
"\x{0278}" => 'philatin',
"\x{0279}" => 'rturned',
"\x{027A}" => 'rlonglegturned',
"\x{027B}" => 'rhookturned',
"\x{027C}" => 'rlongleg',
"\x{027D}" => 'rhook',
"\x{027E}" => 'rfishhook',
"\x{027F}" => 'rfishhookreversed',
"\x{0281}" => 'Rsmallinverted',
"\x{0282}" => 'shook',
"\x{0283}" => 'esh',
"\x{0284}" => 'dotlessjstrokehook',
"\x{0285}" => 'eshsquatreversed',
"\x{0286}" => 'eshcurl',
"\x{0287}" => 'tturned',
"\x{0288}" => 'tretroflexhook',
"\x{0289}" => 'ubar',
"\x{028A}" => 'upsilonlatin',
"\x{028B}" => 'vhook',
"\x{028C}" => 'vturned',
"\x{028D}" => 'wturned',
"\x{028E}" => 'yturned',
"\x{0290}" => 'zretroflexhook',
"\x{0291}" => 'zcurl',
"\x{0292}" => 'ezh',
"\x{0293}" => 'ezhcurl',
"\x{0294}" => 'glottalstop',
"\x{0295}" => 'glottalstopreversed',
"\x{0296}" => 'glottalstopinverted',
"\x{0297}" => 'cstretched',
"\x{0298}" => 'bilabialclick',
"\x{029A}" => 'eopenclosed',
"\x{029B}" => 'Gsmallhook',
"\x{029D}" => 'jcrossedtail',
"\x{029E}" => 'kturned',
"\x{02A0}" => 'qhook',
"\x{02A1}" => 'glottalstopstroke',
"\x{02A2}" => 'glottalstopstrokereversed',
"\x{02A3}" => 'dzaltone',
"\x{02A4}" => 'dezh',
"\x{02A5}" => 'dzcurl',
"\x{02A6}" => 'ts',
"\x{02A7}" => 'tesh',
"\x{02A8}" => 'tccurl',
"\x{02B0}" => 'hsuperior',
"\x{02B1}" => 'hhooksuperior',
"\x{02B2}" => 'jsuperior',
"\x{02B4}" => 'rturnedsuperior',
"\x{02B5}" => 'rhookturnedsuperior',
"\x{02B6}" => 'Rsmallinvertedsuperior',
"\x{02B7}" => 'wsuperior',
"\x{02B8}" => 'ysuperior',
"\x{02B9}" => 'primemod',
"\x{02BA}" => 'dblprimemod',
"\x{02BB}" => 'commaturnedmod',
"\x{02BC}" => 'apostrophemod',
"\x{02BD}" => 'commareversedmod',
"\x{02BE}" => 'ringhalfright',
"\x{02BF}" => 'ringhalfleft',
"\x{02C0}" => 'glottalstopmod',
"\x{02C1}" => 'glottalstopreversedmod',
"\x{02C2}" => 'arrowheadleftmod',
"\x{02C3}" => 'arrowheadrightmod',
"\x{02C4}" => 'arrowheadupmod',
"\x{02C5}" => 'arrowheaddownmod',
"\x{02C6}" => 'circumflex',
"\x{02C7}" => 'caron',
"\x{02C8}" => 'verticallinemod',
"\x{02C9}" => 'firsttonechinese',
"\x{02CA}" => 'secondtonechinese',
"\x{02CB}" => 'fourthtonechinese',
"\x{02CC}" => 'verticallinelowmod',
"\x{02CD}" => 'macronlowmod',
"\x{02CE}" => 'gravelowmod',
"\x{02CF}" => 'acutelowmod',
"\x{02D0}" => 'colontriangularmod',
"\x{02D1}" => 'colontriangularhalfmod',
"\x{02D2}" => 'ringhalfrightcentered',
"\x{02D3}" => 'ringhalfleftcentered',
"\x{02D4}" => 'uptackmod',
"\x{02D5}" => 'downtackmod',
"\x{02D6}" => 'plusmod',
"\x{02D7}" => 'minusmod',
"\x{02D8}" => 'breve',
"\x{02D9}" => 'dotaccent',
"\x{02DA}" => 'ring',
"\x{02DB}" => 'ogonek',
"\x{02DC}" => 'ilde',
"\x{02DD}" => 'hungarumlaut',
"\x{02DE}" => 'rhotichookmod',
"\x{02E0}" => 'gammasuperior',
"\x{02E3}" => 'xsuperior',
"\x{02E4}" => 'glottalstopreversedsuperior',
"\x{02E5}" => 'tonebarextrahighmod',
"\x{02E6}" => 'tonebarhighmod',
"\x{02E7}" => 'tonebarmidmod',
"\x{02E8}" => 'tonebarlowmod',
"\x{02E9}" => 'tonebarextralowmod',
"\x{0300}" => 'gravecmb',
"\x{0301}" => 'acutecmb',
"\x{0302}" => 'circumflexcmb',
"\x{0303}" => 'tildecmb',
"\x{0304}" => 'macroncmb',
"\x{0305}" => 'overlinecmb',
"\x{0306}" => 'brevecmb',
"\x{0307}" => 'dotaccentcmb',
"\x{0308}" => 'dieresiscmb',
"\x{0309}" => 'hookcmb',
"\x{030A}" => 'ringcmb',
"\x{030B}" => 'hungarumlautcmb',
"\x{030C}" => 'caroncmb',
"\x{030D}" => 'verticallineabovecmb',
"\x{030E}" => 'dblverticallineabovecmb',
"\x{030F}" => 'dblgravecmb',
"\x{0310}" => 'candrabinducmb',
"\x{0311}" => 'breveinvertedcmb',
"\x{0312}" => 'commaturnedabovecmb',
"\x{0313}" => 'commaabovecmb',
"\x{0314}" => 'commareversedabovecmb',
"\x{0315}" => 'commaaboverightcmb',
"\x{0316}" => 'gravebelowcmb',
"\x{0317}" => 'acutebelowcmb',
"\x{0318}" => 'lefttackbelowcmb',
"\x{0319}" => 'righttackbelowcmb',
"\x{031A}" => 'leftangleabovecmb',
"\x{031B}" => 'horncmb',
"\x{031C}" => 'ringhalfleftbelowcmb',
"\x{031D}" => 'uptackbelowcmb',
"\x{031E}" => 'downtackbelowcmb',
"\x{031F}" => 'plusbelowcmb',
"\x{0320}" => 'minusbelowcmb',
"\x{0321}" => 'hookpalatalizedbelowcmb',
"\x{0322}" => 'hookretroflexbelowcmb',
"\x{0323}" => 'dotbelowcmb',
"\x{0324}" => 'dieresisbelowcmb',
"\x{0325}" => 'ringbelowcmb',
"\x{0327}" => 'cedillacmb',
"\x{0328}" => 'ogonekcmb',
"\x{0329}" => 'verticallinebelowcmb',
"\x{032A}" => 'bridgebelowcmb',
"\x{032B}" => 'dblarchinvertedbelowcmb',
"\x{032C}" => 'caronbelowcmb',
"\x{032D}" => 'circumflexbelowcmb',
"\x{032E}" => 'brevebelowcmb',
"\x{032F}" => 'breveinvertedbelowcmb',
"\x{0330}" => 'tildebelowcmb',
"\x{0331}" => 'macronbelowcmb',
"\x{0332}" => 'lowlinecmb',
"\x{0333}" => 'dbllowlinecmb',
"\x{0334}" => 'tildeoverlaycmb',
"\x{0335}" => 'strokeshortoverlaycmb',
"\x{0336}" => 'strokelongoverlaycmb',
"\x{0337}" => 'solidusshortoverlaycmb',
"\x{0338}" => 'soliduslongoverlaycmb',
"\x{0339}" => 'ringhalfrightbelowcmb',
"\x{033A}" => 'bridgeinvertedbelowcmb',
"\x{033B}" => 'squarebelowcmb',
"\x{033C}" => 'seagullbelowcmb',
"\x{033D}" => 'xabovecmb',
"\x{033E}" => 'tildeverticalcmb',
"\x{033F}" => 'dbloverlinecmb',
"\x{0340}" => 'gravetonecmb',
"\x{0341}" => 'acutetonecmb',
"\x{0342}" => 'perispomenigreekcmb',
"\x{0343}" => 'koroniscmb',
"\x{0344}" => 'dialytikatonoscmb',
"\x{0345}" => 'ypogegrammenigreekcmb',
"\x{0360}" => 'tildedoublecmb',
"\x{0361}" => 'breveinverteddoublecmb',
"\x{0374}" => 'numeralsigngreek',
"\x{0375}" => 'numeralsignlowergreek',
"\x{037A}" => 'ypogegrammeni',
"\x{037E}" => 'questiongreek',
"\x{0384}" => 'tonos',
"\x{0385}" => 'dieresistonos',
"\x{0386}" => 'Alphatonos',
"\x{0387}" => 'anoteleia',
"\x{0388}" => 'Epsilontonos',
"\x{0389}" => 'Etatonos',
"\x{038A}" => 'Iotatonos',
"\x{038C}" => 'Omicrontonos',
"\x{038E}" => 'Upsilontonos',
"\x{038F}" => 'Omegatonos',
"\x{0390}" => 'iotadieresistonos',
"\x{0391}" => 'Alpha',
"\x{0392}" => 'Beta',
"\x{0393}" => 'Gamma',
"\x{0394}" => 'Deltagreek',
"\x{0395}" => 'Epsilon',
"\x{0396}" => 'Zeta',
"\x{0397}" => 'Eta',
"\x{0398}" => 'Theta',
"\x{0399}" => 'Iota',
"\x{039A}" => 'Kappa',
"\x{039B}" => 'Lambda',
"\x{039C}" => 'Mu',
"\x{039D}" => 'Nu',
"\x{039E}" => 'Xi',
"\x{039F}" => 'Omicron',
"\x{03A0}" => 'Pi',
"\x{03A1}" => 'Rho',
"\x{03A3}" => 'Sigma',
"\x{03A4}" => 'Tau',
"\x{03A5}" => 'Upsilon',
"\x{03A6}" => 'Phi',
"\x{03A7}" => 'Chi',
"\x{03A8}" => 'Psi',
"\x{03A9}" => 'Omegagreek',
"\x{03AA}" => 'Iotadieresis',
"\x{03AB}" => 'Upsilondieresis',
"\x{03AC}" => 'alphatonos',
"\x{03AD}" => 'epsilontonos',
"\x{03AE}" => 'etatonos',
"\x{03AF}" => 'iotatonos',
"\x{03B0}" => 'upsilondieresistonos',
"\x{03B1}" => 'alpha',
"\x{03B2}" => 'beta',
"\x{03B3}" => 'gamma',
"\x{03B4}" => 'delta',
"\x{03B5}" => 'epsilon',
"\x{03B6}" => 'zeta',
"\x{03B7}" => 'eta',
"\x{03B8}" => 'theta',
"\x{03B9}" => 'iota',
"\x{03BA}" => 'kappa',
"\x{03BB}" => 'lambda',
"\x{03BC}" => 'mugreek',
"\x{03BD}" => 'nu',
"\x{03BE}" => 'xi',
"\x{03BF}" => 'omicron',
"\x{03C0}" => 'pi',
"\x{03C1}" => 'rho',
"\x{03C2}" => 'sigma1',
"\x{03C3}" => 'sigma',
"\x{03C4}" => 'tau',
"\x{03C5}" => 'upsilon',
"\x{03C6}" => 'phi',
"\x{03C7}" => 'chi',
"\x{03C8}" => 'psi',
"\x{03C9}" => 'omega',
"\x{03CA}" => 'iotadieresis',
"\x{03CB}" => 'upsilondieresis',
"\x{03CC}" => 'omicrontonos',
"\x{03CD}" => 'upsilontonos',
"\x{03CE}" => 'omegatonos',
"\x{03D0}" => 'betasymbolgreek',
"\x{03D1}" => 'theta1',
"\x{03D2}" => 'Upsilon1',
"\x{03D3}" => 'Upsilonacutehooksymbolgreek',
"\x{03D4}" => 'Upsilondieresishooksymbolgreek',
"\x{03D5}" => 'phi1',
"\x{03D6}" => 'omega1',
"\x{03DA}" => 'Stigmagreek',
"\x{03DC}" => 'Digammagreek',
"\x{03DE}" => 'Koppagreek',
"\x{03E0}" => 'Sampigreek',
"\x{03E2}" => 'Sheicoptic',
"\x{03E3}" => 'sheicoptic',
"\x{03E4}" => 'Feicoptic',
"\x{03E5}" => 'feicoptic',
"\x{03E6}" => 'Kheicoptic',
"\x{03E7}" => 'kheicoptic',
"\x{03E8}" => 'Horicoptic',
"\x{03E9}" => 'horicoptic',
"\x{03EA}" => 'Gangiacoptic',
"\x{03EB}" => 'gangiacoptic',
"\x{03EC}" => 'Shimacoptic',
"\x{03ED}" => 'shimacoptic',
"\x{03EE}" => 'Deicoptic',
"\x{03EF}" => 'deicoptic',
"\x{03F0}" => 'kappasymbolgreek',
"\x{03F1}" => 'rhosymbolgreek',
"\x{03F2}" => 'sigmalunatesymbolgreek',
"\x{03F3}" => 'yotgreek',
"\x{0401}" => 'Iocyrillic',
"\x{0402}" => 'Djecyrillic',
"\x{0403}" => 'Gjecyrillic',
"\x{0404}" => 'Ecyrillic',
"\x{0405}" => 'Dzecyrillic',
"\x{0406}" => 'Icyrillic',
"\x{0407}" => 'Yicyrillic',
"\x{0408}" => 'Jecyrillic',
"\x{0409}" => 'Ljecyrillic',
"\x{040A}" => 'Njecyrillic',
"\x{040B}" => 'Tshecyrillic',
"\x{040C}" => 'Kjecyrillic',
"\x{040E}" => 'Ushortcyrillic',
"\x{040F}" => 'Dzhecyrillic',
"\x{0410}" => 'Acyrillic',
"\x{0411}" => 'Becyrillic',
"\x{0412}" => 'Vecyrillic',
"\x{0413}" => 'Gecyrillic',
"\x{0414}" => 'Decyrillic',
"\x{0415}" => 'Iecyrillic',
"\x{0416}" => 'Zhecyrillic',
"\x{0417}" => 'Zecyrillic',
"\x{0418}" => 'Iicyrillic',
"\x{0419}" => 'Iishortcyrillic',
"\x{041A}" => 'Kacyrillic',
"\x{041B}" => 'Elcyrillic',
"\x{041C}" => 'Emcyrillic',
"\x{041D}" => 'Encyrillic',
"\x{041E}" => 'Ocyrillic',
"\x{041F}" => 'Pecyrillic',
"\x{0420}" => 'Ercyrillic',
"\x{0421}" => 'Escyrillic',
"\x{0422}" => 'Tecyrillic',
"\x{0423}" => 'Ucyrillic',
"\x{0424}" => 'Efcyrillic',
"\x{0425}" => 'Khacyrillic',
"\x{0426}" => 'Tsecyrillic',
"\x{0427}" => 'Checyrillic',
"\x{0428}" => 'Shacyrillic',
"\x{0429}" => 'Shchacyrillic',
"\x{042A}" => 'Hardsigncyrillic',
"\x{042B}" => 'Yericyrillic',
"\x{042C}" => 'Softsigncyrillic',
"\x{042D}" => 'Ereversedcyrillic',
"\x{042E}" => 'IUcyrillic',
"\x{042F}" => 'IAcyrillic',
"\x{0430}" => 'acyrillic',
"\x{0431}" => 'becyrillic',
"\x{0432}" => 'vecyrillic',
"\x{0433}" => 'gecyrillic',
"\x{0434}" => 'decyrillic',
"\x{0435}" => 'iecyrillic',
"\x{0436}" => 'zhecyrillic',
"\x{0437}" => 'zecyrillic',
"\x{0438}" => 'iicyrillic',
"\x{0439}" => 'iishortcyrillic',
"\x{043A}" => 'kacyrillic',
"\x{043B}" => 'elcyrillic',
"\x{043C}" => 'emcyrillic',
"\x{043D}" => 'encyrillic',
"\x{043E}" => 'ocyrillic',
"\x{043F}" => 'pecyrillic',
"\x{0440}" => 'ercyrillic',
"\x{0441}" => 'escyrillic',
"\x{0442}" => 'tecyrillic',
"\x{0443}" => 'ucyrillic',
"\x{0444}" => 'efcyrillic',
"\x{0445}" => 'khacyrillic',
"\x{0446}" => 'tsecyrillic',
"\x{0447}" => 'checyrillic',
"\x{0448}" => 'shacyrillic',
"\x{0449}" => 'shchacyrillic',
"\x{044A}" => 'hardsigncyrillic',
"\x{044B}" => 'yericyrillic',
"\x{044C}" => 'softsigncyrillic',
"\x{044D}" => 'ereversedcyrillic',
"\x{044E}" => 'iucyrillic',
"\x{044F}" => 'iacyrillic',
"\x{0451}" => 'iocyrillic',
"\x{0452}" => 'djecyrillic',
"\x{0453}" => 'gjecyrillic',
"\x{0454}" => 'ecyrillic',
"\x{0455}" => 'dzecyrillic',
"\x{0456}" => 'icyrillic',
"\x{0457}" => 'yicyrillic',
"\x{0458}" => 'jecyrillic',
"\x{0459}" => 'ljecyrillic',
"\x{045A}" => 'njecyrillic',
"\x{045B}" => 'tshecyrillic',
"\x{045C}" => 'kjecyrillic',
"\x{045E}" => 'ushortcyrillic',
"\x{045F}" => 'dzhecyrillic',
"\x{0460}" => 'Omegacyrillic',
"\x{0461}" => 'omegacyrillic',
"\x{0462}" => 'Yatcyrillic',
"\x{0463}" => 'yatcyrillic',
"\x{0464}" => 'Eiotifiedcyrillic',
"\x{0465}" => 'eiotifiedcyrillic',
"\x{0466}" => 'Yuslittlecyrillic',
"\x{0467}" => 'yuslittlecyrillic',
"\x{0468}" => 'Yuslittleiotifiedcyrillic',
"\x{0469}" => 'yuslittleiotifiedcyrillic',
"\x{046A}" => 'Yusbigcyrillic',
"\x{046B}" => 'yusbigcyrillic',
"\x{046C}" => 'Yusbigiotifiedcyrillic',
"\x{046D}" => 'yusbigiotifiedcyrillic',
"\x{046E}" => 'Ksicyrillic',
"\x{046F}" => 'ksicyrillic',
"\x{0470}" => 'Psicyrillic',
"\x{0471}" => 'psicyrillic',
"\x{0472}" => 'Fitacyrillic',
"\x{0473}" => 'fitacyrillic',
"\x{0474}" => 'Izhitsacyrillic',
"\x{0475}" => 'izhitsacyrillic',
"\x{0476}" => 'Izhitsadblgravecyrillic',
"\x{0477}" => 'izhitsadblgravecyrillic',
"\x{0478}" => 'Ukcyrillic',
"\x{0479}" => 'ukcyrillic',
"\x{047A}" => 'Omegaroundcyrillic',
"\x{047B}" => 'omegaroundcyrillic',
"\x{047C}" => 'Omegatitlocyrillic',
"\x{047D}" => 'omegatitlocyrillic',
"\x{047E}" => 'Otcyrillic',
"\x{047F}" => 'otcyrillic',
"\x{0480}" => 'Koppacyrillic',
"\x{0481}" => 'koppacyrillic',
"\x{0482}" => 'thousandcyrillic',
"\x{0483}" => 'titlocyrilliccmb',
"\x{0484}" => 'palatalizationcyrilliccmb',
"\x{0485}" => 'dasiapneumatacyrilliccmb',
"\x{0486}" => 'psilipneumatacyrilliccmb',
"\x{0490}" => 'Gheupturncyrillic',
"\x{0491}" => 'gheupturncyrillic',
"\x{0492}" => 'Ghestrokecyrillic',
"\x{0493}" => 'ghestrokecyrillic',
"\x{0494}" => 'Ghemiddlehookcyrillic',
"\x{0495}" => 'ghemiddlehookcyrillic',
"\x{0496}" => 'Zhedescendercyrillic',
"\x{0497}" => 'zhedescendercyrillic',
"\x{0498}" => 'Zedescendercyrillic',
"\x{0499}" => 'zedescendercyrillic',
"\x{049A}" => 'Kadescendercyrillic',
"\x{049B}" => 'kadescendercyrillic',
"\x{049C}" => 'Kaverticalstrokecyrillic',
"\x{049D}" => 'kaverticalstrokecyrillic',
"\x{049E}" => 'Kastrokecyrillic',
"\x{049F}" => 'kastrokecyrillic',
"\x{04A0}" => 'Kabashkircyrillic',
"\x{04A1}" => 'kabashkircyrillic',
"\x{04A2}" => 'Endescendercyrillic',
"\x{04A3}" => 'endescendercyrillic',
"\x{04A4}" => 'Enghecyrillic',
"\x{04A5}" => 'enghecyrillic',
"\x{04A6}" => 'Pemiddlehookcyrillic',
"\x{04A7}" => 'pemiddlehookcyrillic',
"\x{04A8}" => 'Haabkhasiancyrillic',
"\x{04A9}" => 'haabkhasiancyrillic',
"\x{04AA}" => 'Esdescendercyrillic',
"\x{04AB}" => 'esdescendercyrillic',
"\x{04AC}" => 'Tedescendercyrillic',
"\x{04AD}" => 'tedescendercyrillic',
"\x{04AE}" => 'Ustraightcyrillic',
"\x{04AF}" => 'ustraightcyrillic',
"\x{04B0}" => 'Ustraightstrokecyrillic',
"\x{04B1}" => 'ustraightstrokecyrillic',
"\x{04B2}" => 'Hadescendercyrillic',
"\x{04B3}" => 'hadescendercyrillic',
"\x{04B4}" => 'Tetsecyrillic',
"\x{04B5}" => 'tetsecyrillic',
"\x{04B6}" => 'Chedescendercyrillic',
"\x{04B7}" => 'chedescendercyrillic',
"\x{04B8}" => 'Cheverticalstrokecyrillic',
"\x{04B9}" => 'cheverticalstrokecyrillic',
"\x{04BA}" => 'Shhacyrillic',
"\x{04BB}" => 'shhacyrillic',
"\x{04BC}" => 'Cheabkhasiancyrillic',
"\x{04BD}" => 'cheabkhasiancyrillic',
"\x{04BE}" => 'Chedescenderabkhasiancyrillic',
"\x{04BF}" => 'chedescenderabkhasiancyrillic',
"\x{04C0}" => 'palochkacyrillic',
"\x{04C1}" => 'Zhebrevecyrillic',
"\x{04C2}" => 'zhebrevecyrillic',
"\x{04C3}" => 'Kahookcyrillic',
"\x{04C4}" => 'kahookcyrillic',
"\x{04C7}" => 'Enhookcyrillic',
"\x{04C8}" => 'enhookcyrillic',
"\x{04CB}" => 'Chekhakassiancyrillic',
"\x{04CC}" => 'chekhakassiancyrillic',
"\x{04D0}" => 'Abrevecyrillic',
"\x{04D1}" => 'abrevecyrillic',
"\x{04D2}" => 'Adieresiscyrillic',
"\x{04D3}" => 'adieresiscyrillic',
"\x{04D4}" => 'Aiecyrillic',
"\x{04D5}" => 'aiecyrillic',
"\x{04D6}" => 'Iebrevecyrillic',
"\x{04D7}" => 'iebrevecyrillic',
"\x{04D8}" => 'Schwacyrillic',
"\x{04D9}" => 'schwacyrillic',
"\x{04DA}" => 'Schwadieresiscyrillic',
"\x{04DB}" => 'schwadieresiscyrillic',
"\x{04DC}" => 'Zhedieresiscyrillic',
"\x{04DD}" => 'zhedieresiscyrillic',
"\x{04DE}" => 'Zedieresiscyrillic',
"\x{04DF}" => 'zedieresiscyrillic',
"\x{04E0}" => 'Dzeabkhasiancyrillic',
"\x{04E1}" => 'dzeabkhasiancyrillic',
"\x{04E2}" => 'Imacroncyrillic',
"\x{04E3}" => 'imacroncyrillic',
"\x{04E4}" => 'Idieresiscyrillic',
"\x{04E5}" => 'idieresiscyrillic',
"\x{04E6}" => 'Odieresiscyrillic',
"\x{04E7}" => 'odieresiscyrillic',
"\x{04E8}" => 'Obarredcyrillic',
"\x{04E9}" => 'obarredcyrillic',
"\x{04EA}" => 'Obarreddieresiscyrillic',
"\x{04EB}" => 'obarreddieresiscyrillic',
"\x{04EE}" => 'Umacroncyrillic',
"\x{04EF}" => 'umacroncyrillic',
"\x{04F0}" => 'Udieresiscyrillic',
"\x{04F1}" => 'udieresiscyrillic',
"\x{04F2}" => 'Uhungarumlautcyrillic',
"\x{04F3}" => 'uhungarumlautcyrillic',
"\x{04F4}" => 'Chedieresiscyrillic',
"\x{04F5}" => 'chedieresiscyrillic',
"\x{04F8}" => 'Yerudieresiscyrillic',
"\x{04F9}" => 'yerudieresiscyrillic',
"\x{0531}" => 'Aybarmenian',
"\x{0532}" => 'Benarmenian',
"\x{0533}" => 'Gimarmenian',
"\x{0534}" => 'Daarmenian',
"\x{0535}" => 'Echarmenian',
"\x{0536}" => 'Zaarmenian',
"\x{0537}" => 'Eharmenian',
"\x{0538}" => 'Etarmenian',
"\x{0539}" => 'Toarmenian',
"\x{053A}" => 'Zhearmenian',
"\x{053B}" => 'Iniarmenian',
"\x{053C}" => 'Liwnarmenian',
"\x{053D}" => 'Xeharmenian',
"\x{053E}" => 'Caarmenian',
"\x{053F}" => 'Kenarmenian',
"\x{0540}" => 'Hoarmenian',
"\x{0541}" => 'Jaarmenian',
"\x{0542}" => 'Ghadarmenian',
"\x{0543}" => 'Cheharmenian',
"\x{0544}" => 'Menarmenian',
"\x{0545}" => 'Yiarmenian',
"\x{0546}" => 'Nowarmenian',
"\x{0547}" => 'Shaarmenian',
"\x{0548}" => 'Voarmenian',
"\x{0549}" => 'Chaarmenian',
"\x{054A}" => 'Peharmenian',
"\x{054B}" => 'Jheharmenian',
"\x{054C}" => 'Raarmenian',
"\x{054D}" => 'Seharmenian',
"\x{054E}" => 'Vewarmenian',
"\x{054F}" => 'Tiwnarmenian',
"\x{0550}" => 'Reharmenian',
"\x{0551}" => 'Coarmenian',
"\x{0552}" => 'Yiwnarmenian',
"\x{0553}" => 'Piwrarmenian',
"\x{0554}" => 'Keharmenian',
"\x{0555}" => 'Oharmenian',
"\x{0556}" => 'Feharmenian',
"\x{0559}" => 'ringhalfleftarmenian',
"\x{055A}" => 'apostrophearmenian',
"\x{055B}" => 'emphasismarkarmenian',
"\x{055C}" => 'exclamarmenian',
"\x{055D}" => 'commaarmenian',
"\x{055E}" => 'questionarmenian',
"\x{055F}" => 'abbreviationmarkarmenian',
"\x{0561}" => 'aybarmenian',
"\x{0562}" => 'benarmenian',
"\x{0563}" => 'gimarmenian',
"\x{0564}" => 'daarmenian',
"\x{0565}" => 'echarmenian',
"\x{0566}" => 'zaarmenian',
"\x{0567}" => 'eharmenian',
"\x{0568}" => 'etarmenian',
"\x{0569}" => 'toarmenian',
"\x{056A}" => 'zhearmenian',
"\x{056B}" => 'iniarmenian',
"\x{056C}" => 'liwnarmenian',
"\x{056D}" => 'xeharmenian',
"\x{056E}" => 'caarmenian',
"\x{056F}" => 'kenarmenian',
"\x{0570}" => 'hoarmenian',
"\x{0571}" => 'jaarmenian',
"\x{0572}" => 'ghadarmenian',
"\x{0573}" => 'cheharmenian',
"\x{0574}" => 'menarmenian',
"\x{0575}" => 'yiarmenian',
"\x{0576}" => 'nowarmenian',
"\x{0577}" => 'shaarmenian',
"\x{0578}" => 'voarmenian',
"\x{0579}" => 'chaarmenian',
"\x{057A}" => 'peharmenian',
"\x{057B}" => 'jheharmenian',
"\x{057C}" => 'raarmenian',
"\x{057D}" => 'seharmenian',
"\x{057E}" => 'vewarmenian',
"\x{057F}" => 'tiwnarmenian',
"\x{0580}" => 'reharmenian',
"\x{0581}" => 'coarmenian',
"\x{0582}" => 'yiwnarmenian',
"\x{0583}" => 'piwrarmenian',
"\x{0584}" => 'keharmenian',
"\x{0585}" => 'oharmenian',
"\x{0586}" => 'feharmenian',
"\x{0587}" => 'echyiwnarmenian',
"\x{0589}" => 'periodarmenian',
"\x{0591}" => 'etnahtahebrew',
"\x{0592}" => 'segoltahebrew',
"\x{0593}" => 'shalshelethebrew',
"\x{0594}" => 'zaqefqatanhebrew',
"\x{0595}" => 'zaqefgadolhebrew',
"\x{0596}" => 'tipehahebrew',
"\x{0597}" => 'reviahebrew',
"\x{0598}" => 'zarqahebrew',
"\x{0599}" => 'pashtahebrew',
"\x{059A}" => 'yetivhebrew',
"\x{059B}" => 'tevirhebrew',
"\x{059C}" => 'gereshaccenthebrew',
"\x{059D}" => 'gereshmuqdamhebrew',
"\x{059E}" => 'gershayimaccenthebrew',
"\x{059F}" => 'qarneyparahebrew',
"\x{05A0}" => 'telishagedolahebrew',
"\x{05A1}" => 'pazerhebrew',
"\x{05A3}" => 'munahhebrew',
"\x{05A4}" => 'mahapakhhebrew',
"\x{05A5}" => 'merkhahebrew',
"\x{05A6}" => 'merkhakefulahebrew',
"\x{05A7}" => 'dargahebrew',
"\x{05A8}" => 'qadmahebrew',
"\x{05A9}" => 'telishaqetanahebrew',
"\x{05AA}" => 'yerahbenyomohebrew',
"\x{05AB}" => 'olehebrew',
"\x{05AC}" => 'iluyhebrew',
"\x{05AD}" => 'dehihebrew',
"\x{05AE}" => 'zinorhebrew',
"\x{05AF}" => 'masoracirclehebrew',
"\x{05B0}" => 'sheva',
"\x{05B1}" => 'hatafsegol',
"\x{05B2}" => 'hatafpatah',
"\x{05B3}" => 'hatafqamats',
"\x{05B4}" => 'hiriq',
"\x{05B5}" => 'tsere',
"\x{05B6}" => 'segol',
"\x{05B7}" => 'patah',
"\x{05B8}" => 'qamats',
"\x{05B9}" => 'holam',
"\x{05BB}" => 'qubuts',
"\x{05BC}" => 'dagesh',
"\x{05BD}" => 'siluqhebrew',
"\x{05BE}" => 'maqafhebrew',
"\x{05BF}" => 'rafe',
"\x{05C0}" => 'paseqhebrew',
"\x{05C1}" => 'shindothebrew',
"\x{05C2}" => 'sindothebrew',
"\x{05C3}" => 'sofpasuqhebrew',
"\x{05C4}" => 'upperdothebrew',
"\x{05D0}" => 'alef',
"\x{05D1}" => 'bet',
"\x{05D2}" => 'gimel',
"\x{05D3}" => 'dalet',
"\x{05D4}" => 'he',
"\x{05D5}" => 'vav',
"\x{05D6}" => 'zayin',
"\x{05D7}" => 'het',
"\x{05D8}" => 'tet',
"\x{05D9}" => 'yod',
"\x{05DA}" => 'finalkaf',
"\x{05DB}" => 'kaf',
"\x{05DC}" => 'lamed',
"\x{05DD}" => 'finalmem',
"\x{05DE}" => 'mem',
"\x{05DF}" => 'finalnun',
"\x{05E0}" => 'nun',
"\x{05E1}" => 'samekh',
"\x{05E2}" => 'ayin',
"\x{05E3}" => 'finalpe',
"\x{05E4}" => 'pe',
"\x{05E5}" => 'finaltsadi',
"\x{05E6}" => 'tsadi',
"\x{05E7}" => 'qof',
"\x{05E8}" => 'resh',
"\x{05E9}" => 'shin',
"\x{05EA}" => 'tav',
"\x{05F0}" => 'vavvavhebrew',
"\x{05F1}" => 'vavyodhebrew',
"\x{05F2}" => 'yodyodhebrew',
"\x{05F3}" => 'gereshhebrew',
"\x{05F4}" => 'gershayimhebrew',
"\x{060C}" => 'commaarabic',
"\x{061B}" => 'semicolonarabic',
"\x{061F}" => 'questionarabic',
"\x{0621}" => 'hamzaarabic',
"\x{0622}" => 'alefmaddaabovearabic',
"\x{0623}" => 'alefhamzaabovearabic',
"\x{0624}" => 'wawhamzaabovearabic',
"\x{0625}" => 'alefhamzabelowarabic',
"\x{0626}" => 'yehhamzaabovearabic',
"\x{0627}" => 'alefarabic',
"\x{0628}" => 'beharabic',
"\x{0629}" => 'tehmarbutaarabic',
"\x{062A}" => 'teharabic',
"\x{062B}" => 'theharabic',
"\x{062C}" => 'jeemarabic',
"\x{062D}" => 'haharabic',
"\x{062E}" => 'khaharabic',
"\x{062F}" => 'dalarabic',
"\x{0630}" => 'thalarabic',
"\x{0631}" => 'reharabic',
"\x{0632}" => 'zainarabic',
"\x{0633}" => 'seenarabic',
"\x{0634}" => 'sheenarabic',
"\x{0635}" => 'sadarabic',
"\x{0636}" => 'dadarabic',
"\x{0637}" => 'taharabic',
"\x{0638}" => 'zaharabic',
"\x{0639}" => 'ainarabic',
"\x{063A}" => 'ghainarabic',
"\x{0640}" => 'tatweelarabic',
"\x{0641}" => 'feharabic',
"\x{0642}" => 'qafarabic',
"\x{0643}" => 'kafarabic',
"\x{0644}" => 'lamarabic',
"\x{0645}" => 'meemarabic',
"\x{0646}" => 'noonarabic',
"\x{0647}" => 'heharabic',
"\x{0648}" => 'wawarabic',
"\x{0649}" => 'alefmaksuraarabic',
"\x{064A}" => 'yeharabic',
"\x{064B}" => 'fathatanarabic',
"\x{064C}" => 'dammatanarabic',
"\x{064D}" => 'kasratanarabic',
"\x{064E}" => 'fathaarabic',
"\x{064F}" => 'dammaarabic',
"\x{0650}" => 'kasraarabic',
"\x{0651}" => 'shaddaarabic',
"\x{0652}" => 'sukunarabic',
"\x{0660}" => 'zeroarabic',
"\x{0661}" => 'onearabic',
"\x{0662}" => 'twoarabic',
"\x{0663}" => 'threearabic',
"\x{0664}" => 'fourarabic',
"\x{0665}" => 'fivearabic',
"\x{0666}" => 'sixarabic',
"\x{0667}" => 'sevenarabic',
"\x{0668}" => 'eightarabic',
"\x{0669}" => 'ninearabic',
"\x{066A}" => 'percentarabic',
"\x{066B}" => 'decimalseparatorarabic',
"\x{066C}" => 'thousandsseparatorarabic',
"\x{066D}" => 'asteriskarabic',
"\x{0679}" => 'tteharabic',
"\x{067E}" => 'peharabic',
"\x{0686}" => 'tcheharabic',
"\x{0688}" => 'ddalarabic',
"\x{0691}" => 'rreharabic',
"\x{0698}" => 'jeharabic',
"\x{06A4}" => 'veharabic',
"\x{06AF}" => 'gafarabic',
"\x{06BA}" => 'noonghunnaarabic',
"\x{06C1}" => 'haaltonearabic',
"\x{06D1}" => 'yehthreedotsbelowarabic',
"\x{06D2}" => 'yehbarreearabic',
"\x{06F0}" => 'zeropersian',
"\x{06F1}" => 'onepersian',
"\x{06F2}" => 'twopersian',
"\x{06F3}" => 'threepersian',
"\x{06F4}" => 'fourpersian',
"\x{06F5}" => 'fivepersian',
"\x{06F6}" => 'sixpersian',
"\x{06F7}" => 'sevenpersian',
"\x{06F8}" => 'eightpersian',
"\x{06F9}" => 'ninepersian',
"\x{0901}" => 'candrabindudeva',
"\x{0902}" => 'anusvaradeva',
"\x{0903}" => 'visargadeva',
"\x{0905}" => 'adeva',
"\x{0906}" => 'aadeva',
"\x{0907}" => 'ideva',
"\x{0908}" => 'iideva',
"\x{0909}" => 'udeva',
"\x{090A}" => 'uudeva',
"\x{090B}" => 'rvocalicdeva',
"\x{090C}" => 'lvocalicdeva',
"\x{090D}" => 'ecandradeva',
"\x{090E}" => 'eshortdeva',
"\x{090F}" => 'edeva',
"\x{0910}" => 'aideva',
"\x{0911}" => 'ocandradeva',
"\x{0912}" => 'oshortdeva',
"\x{0913}" => 'odeva',
"\x{0914}" => 'audeva',
"\x{0915}" => 'kadeva',
"\x{0916}" => 'khadeva',
"\x{0917}" => 'gadeva',
"\x{0918}" => 'ghadeva',
"\x{0919}" => 'ngadeva',
"\x{091A}" => 'cadeva',
"\x{091B}" => 'chadeva',
"\x{091C}" => 'jadeva',
"\x{091D}" => 'jhadeva',
"\x{091E}" => 'nyadeva',
"\x{091F}" => 'ttadeva',
"\x{0920}" => 'tthadeva',
"\x{0921}" => 'ddadeva',
"\x{0922}" => 'ddhadeva',
"\x{0923}" => 'nnadeva',
"\x{0924}" => 'tadeva',
"\x{0925}" => 'thadeva',
"\x{0926}" => 'dadeva',
"\x{0927}" => 'dhadeva',
"\x{0928}" => 'nadeva',
"\x{0929}" => 'nnnadeva',
"\x{092A}" => 'padeva',
"\x{092B}" => 'phadeva',
"\x{092C}" => 'badeva',
"\x{092D}" => 'bhadeva',
"\x{092E}" => 'madeva',
"\x{092F}" => 'yadeva',
"\x{0930}" => 'radeva',
"\x{0931}" => 'rradeva',
"\x{0932}" => 'ladeva',
"\x{0933}" => 'lladeva',
"\x{0934}" => 'llladeva',
"\x{0935}" => 'vadeva',
"\x{0936}" => 'shadeva',
"\x{0937}" => 'ssadeva',
"\x{0938}" => 'sadeva',
"\x{0939}" => 'hadeva',
"\x{093C}" => 'nuktadeva',
"\x{093D}" => 'avagrahadeva',
"\x{093E}" => 'aavowelsigndeva',
"\x{093F}" => 'ivowelsigndeva',
"\x{0940}" => 'iivowelsigndeva',
"\x{0941}" => 'uvowelsigndeva',
"\x{0942}" => 'uuvowelsigndeva',
"\x{0943}" => 'rvocalicvowelsigndeva',
"\x{0944}" => 'rrvocalicvowelsigndeva',
"\x{0945}" => 'ecandravowelsigndeva',
"\x{0946}" => 'eshortvowelsigndeva',
"\x{0947}" => 'evowelsigndeva',
"\x{0948}" => 'aivowelsigndeva',
"\x{0949}" => 'ocandravowelsigndeva',
"\x{094A}" => 'oshortvowelsigndeva',
"\x{094B}" => 'ovowelsigndeva',
"\x{094C}" => 'auvowelsigndeva',
"\x{094D}" => 'viramadeva',
"\x{0950}" => 'omdeva',
"\x{0951}" => 'udattadeva',
"\x{0952}" => 'anudattadeva',
"\x{0953}" => 'gravedeva',
"\x{0954}" => 'acutedeva',
"\x{0958}" => 'qadeva',
"\x{0959}" => 'khhadeva',
"\x{095A}" => 'ghhadeva',
"\x{095B}" => 'zadeva',
"\x{095C}" => 'dddhadeva',
"\x{095D}" => 'rhadeva',
"\x{095E}" => 'fadeva',
"\x{095F}" => 'yyadeva',
"\x{0960}" => 'rrvocalicdeva',
"\x{0961}" => 'llvocalicdeva',
"\x{0962}" => 'lvocalicvowelsigndeva',
"\x{0963}" => 'llvocalicvowelsigndeva',
"\x{0964}" => 'danda',
"\x{0965}" => 'dbldanda',
"\x{0966}" => 'zerodeva',
"\x{0967}" => 'onedeva',
"\x{0968}" => 'twodeva',
"\x{0969}" => 'threedeva',
"\x{096A}" => 'fourdeva',
"\x{096B}" => 'fivedeva',
"\x{096C}" => 'sixdeva',
"\x{096D}" => 'sevendeva',
"\x{096E}" => 'eightdeva',
"\x{096F}" => 'ninedeva',
"\x{0970}" => 'abbreviationsigndeva',
"\x{0981}" => 'candrabindubengali',
"\x{0982}" => 'anusvarabengali',
"\x{0983}" => 'visargabengali',
"\x{0985}" => 'abengali',
"\x{0986}" => 'aabengali',
"\x{0987}" => 'ibengali',
"\x{0988}" => 'iibengali',
"\x{0989}" => 'ubengali',
"\x{098A}" => 'uubengali',
"\x{098B}" => 'rvocalicbengali',
"\x{098C}" => 'lvocalicbengali',
"\x{098F}" => 'ebengali',
"\x{0990}" => 'aibengali',
"\x{0993}" => 'obengali',
"\x{0994}" => 'aubengali',
"\x{0995}" => 'kabengali',
"\x{0996}" => 'khabengali',
"\x{0997}" => 'gabengali',
"\x{0998}" => 'ghabengali',
"\x{0999}" => 'ngabengali',
"\x{099A}" => 'cabengali',
"\x{099B}" => 'chabengali',
"\x{099C}" => 'jabengali',
"\x{099D}" => 'jhabengali',
"\x{099E}" => 'nyabengali',
"\x{099F}" => 'ttabengali',
"\x{09A0}" => 'tthabengali',
"\x{09A1}" => 'ddabengali',
"\x{09A2}" => 'ddhabengali',
"\x{09A3}" => 'nnabengali',
"\x{09A4}" => 'tabengali',
"\x{09A5}" => 'thabengali',
"\x{09A6}" => 'dabengali',
"\x{09A7}" => 'dhabengali',
"\x{09A8}" => 'nabengali',
"\x{09AA}" => 'pabengali',
"\x{09AB}" => 'phabengali',
"\x{09AC}" => 'babengali',
"\x{09AD}" => 'bhabengali',
"\x{09AE}" => 'mabengali',
"\x{09AF}" => 'yabengali',
"\x{09B0}" => 'rabengali',
"\x{09B2}" => 'labengali',
"\x{09B6}" => 'shabengali',
"\x{09B7}" => 'ssabengali',
"\x{09B8}" => 'sabengali',
"\x{09B9}" => 'habengali',
"\x{09BC}" => 'nuktabengali',
"\x{09BE}" => 'aavowelsignbengali',
"\x{09BF}" => 'ivowelsignbengali',
"\x{09C0}" => 'iivowelsignbengali',
"\x{09C1}" => 'uvowelsignbengali',
"\x{09C2}" => 'uuvowelsignbengali',
"\x{09C3}" => 'rvocalicvowelsignbengali',
"\x{09C4}" => 'rrvocalicvowelsignbengali',
"\x{09C7}" => 'evowelsignbengali',
"\x{09C8}" => 'aivowelsignbengali',
"\x{09CB}" => 'ovowelsignbengali',
"\x{09CC}" => 'auvowelsignbengali',
"\x{09CD}" => 'viramabengali',
"\x{09D7}" => 'aulengthmarkbengali',
"\x{09DC}" => 'rrabengali',
"\x{09DD}" => 'rhabengali',
"\x{09DF}" => 'yyabengali',
"\x{09E0}" => 'rrvocalicbengali',
"\x{09E1}" => 'llvocalicbengali',
"\x{09E2}" => 'lvocalicvowelsignbengali',
"\x{09E3}" => 'llvocalicvowelsignbengali',
"\x{09E6}" => 'zerobengali',
"\x{09E7}" => 'onebengali',
"\x{09E8}" => 'twobengali',
"\x{09E9}" => 'threebengali',
"\x{09EA}" => 'fourbengali',
"\x{09EB}" => 'fivebengali',
"\x{09EC}" => 'sixbengali',
"\x{09ED}" => 'sevenbengali',
"\x{09EE}" => 'eightbengali',
"\x{09EF}" => 'ninebengali',
"\x{09F0}" => 'ramiddlediagonalbengali',
"\x{09F1}" => 'ralowerdiagonalbengali',
"\x{09F2}" => 'rupeemarkbengali',
"\x{09F3}" => 'rupeesignbengali',
"\x{09F4}" => 'onenumeratorbengali',
"\x{09F5}" => 'twonumeratorbengali',
"\x{09F6}" => 'threenumeratorbengali',
"\x{09F7}" => 'fournumeratorbengali',
"\x{09F8}" => 'denominatorminusonenumeratorbengali',
"\x{09F9}" => 'sixteencurrencydenominatorbengali',
"\x{09FA}" => 'issharbengali',
"\x{0A02}" => 'bindigurmukhi',
"\x{0A05}" => 'agurmukhi',
"\x{0A06}" => 'aagurmukhi',
"\x{0A07}" => 'igurmukhi',
"\x{0A08}" => 'iigurmukhi',
"\x{0A09}" => 'ugurmukhi',
"\x{0A0A}" => 'uugurmukhi',
"\x{0A0F}" => 'eegurmukhi',
"\x{0A10}" => 'aigurmukhi',
"\x{0A13}" => 'oogurmukhi',
"\x{0A14}" => 'augurmukhi',
"\x{0A15}" => 'kagurmukhi',
"\x{0A16}" => 'khagurmukhi',
"\x{0A17}" => 'gagurmukhi',
"\x{0A18}" => 'ghagurmukhi',
"\x{0A19}" => 'ngagurmukhi',
"\x{0A1A}" => 'cagurmukhi',
"\x{0A1B}" => 'chagurmukhi',
"\x{0A1C}" => 'jagurmukhi',
"\x{0A1D}" => 'jhagurmukhi',
"\x{0A1E}" => 'nyagurmukhi',
"\x{0A1F}" => 'ttagurmukhi',
"\x{0A20}" => 'tthagurmukhi',
"\x{0A21}" => 'ddagurmukhi',
"\x{0A22}" => 'ddhagurmukhi',
"\x{0A23}" => 'nnagurmukhi',
"\x{0A24}" => 'tagurmukhi',
"\x{0A25}" => 'thagurmukhi',
"\x{0A26}" => 'dagurmukhi',
"\x{0A27}" => 'dhagurmukhi',
"\x{0A28}" => 'nagurmukhi',
"\x{0A2A}" => 'pagurmukhi',
"\x{0A2B}" => 'phagurmukhi',
"\x{0A2C}" => 'bagurmukhi',
"\x{0A2D}" => 'bhagurmukhi',
"\x{0A2E}" => 'magurmukhi',
"\x{0A2F}" => 'yagurmukhi',
"\x{0A30}" => 'ragurmukhi',
"\x{0A32}" => 'lagurmukhi',
"\x{0A35}" => 'vagurmukhi',
"\x{0A36}" => 'shagurmukhi',
"\x{0A38}" => 'sagurmukhi',
"\x{0A39}" => 'hagurmukhi',
"\x{0A3C}" => 'nuktagurmukhi',
"\x{0A3E}" => 'aamatragurmukhi',
"\x{0A3F}" => 'imatragurmukhi',
"\x{0A40}" => 'iimatragurmukhi',
"\x{0A41}" => 'umatragurmukhi',
"\x{0A42}" => 'uumatragurmukhi',
"\x{0A47}" => 'eematragurmukhi',
"\x{0A48}" => 'aimatragurmukhi',
"\x{0A4B}" => 'oomatragurmukhi',
"\x{0A4C}" => 'aumatragurmukhi',
"\x{0A4D}" => 'halantgurmukhi',
"\x{0A59}" => 'khhagurmukhi',
"\x{0A5A}" => 'ghhagurmukhi',
"\x{0A5B}" => 'zagurmukhi',
"\x{0A5C}" => 'rragurmukhi',
"\x{0A5E}" => 'fagurmukhi',
"\x{0A66}" => 'zerogurmukhi',
"\x{0A67}" => 'onegurmukhi',
"\x{0A68}" => 'twogurmukhi',
"\x{0A69}" => 'threegurmukhi',
"\x{0A6A}" => 'fourgurmukhi',
"\x{0A6B}" => 'fivegurmukhi',
"\x{0A6C}" => 'sixgurmukhi',
"\x{0A6D}" => 'sevengurmukhi',
"\x{0A6E}" => 'eightgurmukhi',
"\x{0A6F}" => 'ninegurmukhi',
"\x{0A70}" => 'tippigurmukhi',
"\x{0A71}" => 'addakgurmukhi',
"\x{0A72}" => 'irigurmukhi',
"\x{0A73}" => 'uragurmukhi',
"\x{0A74}" => 'ekonkargurmukhi',
"\x{0A81}" => 'candrabindugujarati',
"\x{0A82}" => 'anusvaragujarati',
"\x{0A83}" => 'visargagujarati',
"\x{0A85}" => 'agujarati',
"\x{0A86}" => 'aagujarati',
"\x{0A87}" => 'igujarati',
"\x{0A88}" => 'iigujarati',
"\x{0A89}" => 'ugujarati',
"\x{0A8A}" => 'uugujarati',
"\x{0A8B}" => 'rvocalicgujarati',
"\x{0A8D}" => 'ecandragujarati',
"\x{0A8F}" => 'egujarati',
"\x{0A90}" => 'aigujarati',
"\x{0A91}" => 'ocandragujarati',
"\x{0A93}" => 'ogujarati',
"\x{0A94}" => 'augujarati',
"\x{0A95}" => 'kagujarati',
"\x{0A96}" => 'khagujarati',
"\x{0A97}" => 'gagujarati',
"\x{0A98}" => 'ghagujarati',
"\x{0A99}" => 'ngagujarati',
"\x{0A9A}" => 'cagujarati',
"\x{0A9B}" => 'chagujarati',
"\x{0A9C}" => 'jagujarati',
"\x{0A9D}" => 'jhagujarati',
"\x{0A9E}" => 'nyagujarati',
"\x{0A9F}" => 'ttagujarati',
"\x{0AA0}" => 'tthagujarati',
"\x{0AA1}" => 'ddagujarati',
"\x{0AA2}" => 'ddhagujarati',
"\x{0AA3}" => 'nnagujarati',
"\x{0AA4}" => 'tagujarati',
"\x{0AA5}" => 'thagujarati',
"\x{0AA6}" => 'dagujarati',
"\x{0AA7}" => 'dhagujarati',
"\x{0AA8}" => 'nagujarati',
"\x{0AAA}" => 'pagujarati',
"\x{0AAB}" => 'phagujarati',
"\x{0AAC}" => 'bagujarati',
"\x{0AAD}" => 'bhagujarati',
"\x{0AAE}" => 'magujarati',
"\x{0AAF}" => 'yagujarati',
"\x{0AB0}" => 'ragujarati',
"\x{0AB2}" => 'lagujarati',
"\x{0AB3}" => 'llagujarati',
"\x{0AB5}" => 'vagujarati',
"\x{0AB6}" => 'shagujarati',
"\x{0AB7}" => 'ssagujarati',
"\x{0AB8}" => 'sagujarati',
"\x{0AB9}" => 'hagujarati',
"\x{0ABC}" => 'nuktagujarati',
"\x{0ABE}" => 'aavowelsigngujarati',
"\x{0ABF}" => 'ivowelsigngujarati',
"\x{0AC0}" => 'iivowelsigngujarati',
"\x{0AC1}" => 'uvowelsigngujarati',
"\x{0AC2}" => 'uuvowelsigngujarati',
"\x{0AC3}" => 'rvocalicvowelsigngujarati',
"\x{0AC4}" => 'rrvocalicvowelsigngujarati',
"\x{0AC5}" => 'ecandravowelsigngujarati',
"\x{0AC7}" => 'evowelsigngujarati',
"\x{0AC8}" => 'aivowelsigngujarati',
"\x{0AC9}" => 'ocandravowelsigngujarati',
"\x{0ACB}" => 'ovowelsigngujarati',
"\x{0ACC}" => 'auvowelsigngujarati',
"\x{0ACD}" => 'viramagujarati',
"\x{0AD0}" => 'omgujarati',
"\x{0AE0}" => 'rrvocalicgujarati',
"\x{0AE6}" => 'zerogujarati',
"\x{0AE7}" => 'onegujarati',
"\x{0AE8}" => 'twogujarati',
"\x{0AE9}" => 'threegujarati',
"\x{0AEA}" => 'fourgujarati',
"\x{0AEB}" => 'fivegujarati',
"\x{0AEC}" => 'sixgujarati',
"\x{0AED}" => 'sevengujarati',
"\x{0AEE}" => 'eightgujarati',
"\x{0AEF}" => 'ninegujarati',
"\x{0E01}" => 'kokaithai',
"\x{0E02}" => 'khokhaithai',
"\x{0E03}" => 'khokhuatthai',
"\x{0E04}" => 'khokhwaithai',
"\x{0E05}" => 'khokhonthai',
"\x{0E06}" => 'khorakhangthai',
"\x{0E07}" => 'ngonguthai',
"\x{0E08}" => 'chochanthai',
"\x{0E09}" => 'chochingthai',
"\x{0E0A}" => 'chochangthai',
"\x{0E0B}" => 'sosothai',
"\x{0E0C}" => 'chochoethai',
"\x{0E0D}" => 'yoyingthai',
"\x{0E0E}" => 'dochadathai',
"\x{0E0F}" => 'topatakthai',
"\x{0E10}" => 'thothanthai',
"\x{0E11}" => 'thonangmonthothai',
"\x{0E12}" => 'thophuthaothai',
"\x{0E13}" => 'nonenthai',
"\x{0E14}" => 'dodekthai',
"\x{0E15}" => 'totaothai',
"\x{0E16}" => 'thothungthai',
"\x{0E17}" => 'thothahanthai',
"\x{0E18}" => 'thothongthai',
"\x{0E19}" => 'nonuthai',
"\x{0E1A}" => 'bobaimaithai',
"\x{0E1B}" => 'poplathai',
"\x{0E1C}" => 'phophungthai',
"\x{0E1D}" => 'fofathai',
"\x{0E1E}" => 'phophanthai',
"\x{0E1F}" => 'fofanthai',
"\x{0E20}" => 'phosamphaothai',
"\x{0E21}" => 'momathai',
"\x{0E22}" => 'yoyakthai',
"\x{0E23}" => 'roruathai',
"\x{0E24}" => 'ruthai',
"\x{0E25}" => 'lolingthai',
"\x{0E26}" => 'luthai',
"\x{0E27}" => 'wowaenthai',
"\x{0E28}" => 'sosalathai',
"\x{0E29}" => 'sorusithai',
"\x{0E2A}" => 'sosuathai',
"\x{0E2B}" => 'hohipthai',
"\x{0E2C}" => 'lochulathai',
"\x{0E2D}" => 'oangthai',
"\x{0E2E}" => 'honokhukthai',
"\x{0E2F}" => 'paiyannoithai',
"\x{0E30}" => 'saraathai',
"\x{0E31}" => 'maihanakatthai',
"\x{0E32}" => 'saraaathai',
"\x{0E33}" => 'saraamthai',
"\x{0E34}" => 'saraithai',
"\x{0E35}" => 'saraiithai',
"\x{0E36}" => 'sarauethai',
"\x{0E37}" => 'saraueethai',
"\x{0E38}" => 'sarauthai',
"\x{0E39}" => 'sarauuthai',
"\x{0E3A}" => 'phinthuthai',
"\x{0E3F}" => 'bahtthai',
"\x{0E40}" => 'saraethai',
"\x{0E41}" => 'saraaethai',
"\x{0E42}" => 'saraothai',
"\x{0E43}" => 'saraaimaimuanthai',
"\x{0E44}" => 'saraaimaimalaithai',
"\x{0E45}" => 'lakkhangyaothai',
"\x{0E46}" => 'maiyamokthai',
"\x{0E47}" => 'maitaikhuthai',
"\x{0E48}" => 'maiekthai',
"\x{0E49}" => 'maithothai',
"\x{0E4A}" => 'maitrithai',
"\x{0E4B}" => 'maichattawathai',
"\x{0E4C}" => 'thanthakhatthai',
"\x{0E4D}" => 'nikhahitthai',
"\x{0E4E}" => 'yamakkanthai',
"\x{0E4F}" => 'fongmanthai',
"\x{0E50}" => 'zerothai',
"\x{0E51}" => 'onethai',
"\x{0E52}" => 'twothai',
"\x{0E53}" => 'threethai',
"\x{0E54}" => 'fourthai',
"\x{0E55}" => 'fivethai',
"\x{0E56}" => 'sixthai',
"\x{0E57}" => 'seventhai',
"\x{0E58}" => 'eightthai',
"\x{0E59}" => 'ninethai',
"\x{0E5A}" => 'angkhankhuthai',
"\x{0E5B}" => 'khomutthai',
"\x{1E00}" => 'Aringbelow',
"\x{1E01}" => 'aringbelow',
"\x{1E02}" => 'Bdotaccent',
"\x{1E03}" => 'bdotaccent',
"\x{1E04}" => 'Bdotbelow',
"\x{1E05}" => 'bdotbelow',
"\x{1E06}" => 'Blinebelow',
"\x{1E07}" => 'blinebelow',
"\x{1E08}" => 'Ccedillaacute',
"\x{1E09}" => 'ccedillaacute',
"\x{1E0A}" => 'Ddotaccent',
"\x{1E0B}" => 'ddotaccent',
"\x{1E0C}" => 'Ddotbelow',
"\x{1E0D}" => 'ddotbelow',
"\x{1E0E}" => 'Dlinebelow',
"\x{1E0F}" => 'dlinebelow',
"\x{1E10}" => 'Dcedilla',
"\x{1E11}" => 'dcedilla',
"\x{1E12}" => 'Dcircumflexbelow',
"\x{1E13}" => 'dcircumflexbelow',
"\x{1E14}" => 'Emacrongrave',
"\x{1E15}" => 'emacrongrave',
"\x{1E16}" => 'Emacronacute',
"\x{1E17}" => 'emacronacute',
"\x{1E18}" => 'Ecircumflexbelow',
"\x{1E19}" => 'ecircumflexbelow',
"\x{1E1A}" => 'Etildebelow',
"\x{1E1B}" => 'etildebelow',
"\x{1E1C}" => 'Ecedillabreve',
"\x{1E1D}" => 'ecedillabreve',
"\x{1E1E}" => 'Fdotaccent',
"\x{1E1F}" => 'fdotaccent',
"\x{1E20}" => 'Gmacron',
"\x{1E21}" => 'gmacron',
"\x{1E22}" => 'Hdotaccent',
"\x{1E23}" => 'hdotaccent',
"\x{1E24}" => 'Hdotbelow',
"\x{1E25}" => 'hdotbelow',
"\x{1E26}" => 'Hdieresis',
"\x{1E27}" => 'hdieresis',
"\x{1E28}" => 'Hcedilla',
"\x{1E29}" => 'hcedilla',
"\x{1E2A}" => 'Hbrevebelow',
"\x{1E2B}" => 'hbrevebelow',
"\x{1E2C}" => 'Itildebelow',
"\x{1E2D}" => 'itildebelow',
"\x{1E2E}" => 'Idieresisacute',
"\x{1E2F}" => 'idieresisacute',
"\x{1E30}" => 'Kacute',
"\x{1E31}" => 'kacute',
"\x{1E32}" => 'Kdotbelow',
"\x{1E33}" => 'kdotbelow',
"\x{1E34}" => 'Klinebelow',
"\x{1E35}" => 'klinebelow',
"\x{1E36}" => 'Ldotbelow',
"\x{1E37}" => 'ldotbelow',
"\x{1E38}" => 'Ldotbelowmacron',
"\x{1E39}" => 'ldotbelowmacron',
"\x{1E3A}" => 'Llinebelow',
"\x{1E3B}" => 'llinebelow',
"\x{1E3C}" => 'Lcircumflexbelow',
"\x{1E3D}" => 'lcircumflexbelow',
"\x{1E3E}" => 'Macute',
"\x{1E3F}" => 'macute',
"\x{1E40}" => 'Mdotaccent',
"\x{1E41}" => 'mdotaccent',
"\x{1E42}" => 'Mdotbelow',
"\x{1E43}" => 'mdotbelow',
"\x{1E44}" => 'Ndotaccent',
"\x{1E45}" => 'ndotaccent',
"\x{1E46}" => 'Ndotbelow',
"\x{1E47}" => 'ndotbelow',
"\x{1E48}" => 'Nlinebelow',
"\x{1E49}" => 'nlinebelow',
"\x{1E4A}" => 'Ncircumflexbelow',
"\x{1E4B}" => 'ncircumflexbelow',
"\x{1E4C}" => 'Otildeacute',
"\x{1E4D}" => 'otildeacute',
"\x{1E4E}" => 'Otildedieresis',
"\x{1E4F}" => 'otildedieresis',
"\x{1E50}" => 'Omacrongrave',
"\x{1E51}" => 'omacrongrave',
"\x{1E52}" => 'Omacronacute',
"\x{1E53}" => 'omacronacute',
"\x{1E54}" => 'Pacute',
"\x{1E55}" => 'pacute',
"\x{1E56}" => 'Pdotaccent',
"\x{1E57}" => 'pdotaccent',
"\x{1E58}" => 'Rdotaccent',
"\x{1E59}" => 'rdotaccent',
"\x{1E5A}" => 'Rdotbelow',
"\x{1E5B}" => 'rdotbelow',
"\x{1E5C}" => 'Rdotbelowmacron',
"\x{1E5D}" => 'rdotbelowmacron',
"\x{1E5E}" => 'Rlinebelow',
"\x{1E5F}" => 'rlinebelow',
"\x{1E60}" => 'Sdotaccent',
"\x{1E61}" => 'sdotaccent',
"\x{1E62}" => 'Sdotbelow',
"\x{1E63}" => 'sdotbelow',
"\x{1E64}" => 'Sacutedotaccent',
"\x{1E65}" => 'sacutedotaccent',
"\x{1E66}" => 'Scarondotaccent',
"\x{1E67}" => 'scarondotaccent',
"\x{1E68}" => 'Sdotbelowdotaccent',
"\x{1E69}" => 'sdotbelowdotaccent',
"\x{1E6A}" => 'Tdotaccent',
"\x{1E6B}" => 'tdotaccent',
"\x{1E6C}" => 'Tdotbelow',
"\x{1E6D}" => 'tdotbelow',
"\x{1E6E}" => 'Tlinebelow',
"\x{1E6F}" => 'tlinebelow',
"\x{1E70}" => 'Tcircumflexbelow',
"\x{1E71}" => 'tcircumflexbelow',
"\x{1E72}" => 'Udieresisbelow',
"\x{1E73}" => 'udieresisbelow',
"\x{1E74}" => 'Utildebelow',
"\x{1E75}" => 'utildebelow',
"\x{1E76}" => 'Ucircumflexbelow',
"\x{1E77}" => 'ucircumflexbelow',
"\x{1E78}" => 'Utildeacute',
"\x{1E79}" => 'utildeacute',
"\x{1E7A}" => 'Umacrondieresis',
"\x{1E7B}" => 'umacrondieresis',
"\x{1E7C}" => 'Vtilde',
"\x{1E7D}" => 'vtilde',
"\x{1E7E}" => 'Vdotbelow',
"\x{1E7F}" => 'vdotbelow',
"\x{1E80}" => 'Wgrave',
"\x{1E81}" => 'wgrave',
"\x{1E82}" => 'Wacute',
"\x{1E83}" => 'wacute',
"\x{1E84}" => 'Wdieresis',
"\x{1E85}" => 'wdieresis',
"\x{1E86}" => 'Wdotaccent',
"\x{1E87}" => 'wdotaccent',
"\x{1E88}" => 'Wdotbelow',
"\x{1E89}" => 'wdotbelow',
"\x{1E8A}" => 'Xdotaccent',
"\x{1E8B}" => 'xdotaccent',
"\x{1E8C}" => 'Xdieresis',
"\x{1E8D}" => 'xdieresis',
"\x{1E8E}" => 'Ydotaccent',
"\x{1E8F}" => 'ydotaccent',
"\x{1E90}" => 'Zcircumflex',
"\x{1E91}" => 'zcircumflex',
"\x{1E92}" => 'Zdotbelow',
"\x{1E93}" => 'zdotbelow',
"\x{1E94}" => 'Zlinebelow',
"\x{1E95}" => 'zlinebelow',
"\x{1E96}" => 'hlinebelow',
"\x{1E97}" => 'tdieresis',
"\x{1E98}" => 'wring',
"\x{1E99}" => 'yring',
"\x{1E9A}" => 'arighthalfring',
"\x{1E9B}" => 'slongdotaccent',
"\x{1EA0}" => 'Adotbelow',
"\x{1EA1}" => 'adotbelow',
"\x{1EA2}" => 'Ahookabove',
"\x{1EA3}" => 'ahookabove',
"\x{1EA4}" => 'Acircumflexacute',
"\x{1EA5}" => 'acircumflexacute',
"\x{1EA6}" => 'Acircumflexgrave',
"\x{1EA7}" => 'acircumflexgrave',
"\x{1EA8}" => 'Acircumflexhookabove',
"\x{1EA9}" => 'acircumflexhookabove',
"\x{1EAA}" => 'Acircumflextilde',
"\x{1EAB}" => 'acircumflextilde',
"\x{1EAC}" => 'Acircumflexdotbelow',
"\x{1EAD}" => 'acircumflexdotbelow',
"\x{1EAE}" => 'Abreveacute',
"\x{1EAF}" => 'abreveacute',
"\x{1EB0}" => 'Abrevegrave',
"\x{1EB1}" => 'abrevegrave',
"\x{1EB2}" => 'Abrevehookabove',
"\x{1EB3}" => 'abrevehookabove',
"\x{1EB4}" => 'Abrevetilde',
"\x{1EB5}" => 'abrevetilde',
"\x{1EB6}" => 'Abrevedotbelow',
"\x{1EB7}" => 'abrevedotbelow',
"\x{1EB8}" => 'Edotbelow',
"\x{1EB9}" => 'edotbelow',
"\x{1EBA}" => 'Ehookabove',
"\x{1EBB}" => 'ehookabove',
"\x{1EBC}" => 'Etilde',
"\x{1EBD}" => 'etilde',
"\x{1EBE}" => 'Ecircumflexacute',
"\x{1EBF}" => 'ecircumflexacute',
"\x{1EC0}" => 'Ecircumflexgrave',
"\x{1EC1}" => 'ecircumflexgrave',
"\x{1EC2}" => 'Ecircumflexhookabove',
"\x{1EC3}" => 'ecircumflexhookabove',
"\x{1EC4}" => 'Ecircumflextilde',
"\x{1EC5}" => 'ecircumflextilde',
"\x{1EC6}" => 'Ecircumflexdotbelow',
"\x{1EC7}" => 'ecircumflexdotbelow',
"\x{1EC8}" => 'Ihookabove',
"\x{1EC9}" => 'ihookabove',
"\x{1ECA}" => 'Idotbelow',
"\x{1ECB}" => 'idotbelow',
"\x{1ECC}" => 'Odotbelow',
"\x{1ECD}" => 'odotbelow',
"\x{1ECE}" => 'Ohookabove',
"\x{1ECF}" => 'ohookabove',
"\x{1ED0}" => 'Ocircumflexacute',
"\x{1ED1}" => 'ocircumflexacute',
"\x{1ED2}" => 'Ocircumflexgrave',
"\x{1ED3}" => 'ocircumflexgrave',
"\x{1ED4}" => 'Ocircumflexhookabove',
"\x{1ED5}" => 'ocircumflexhookabove',
"\x{1ED6}" => 'Ocircumflextilde',
"\x{1ED7}" => 'ocircumflextilde',
"\x{1ED8}" => 'Ocircumflexdotbelow',
"\x{1ED9}" => 'ocircumflexdotbelow',
"\x{1EDA}" => 'Ohornacute',
"\x{1EDB}" => 'ohornacute',
"\x{1EDC}" => 'Ohorngrave',
"\x{1EDD}" => 'ohorngrave',
"\x{1EDE}" => 'Ohornhookabove',
"\x{1EDF}" => 'ohornhookabove',
"\x{1EE0}" => 'Ohorntilde',
"\x{1EE1}" => 'ohorntilde',
"\x{1EE2}" => 'Ohorndotbelow',
"\x{1EE3}" => 'ohorndotbelow',
"\x{1EE4}" => 'Udotbelow',
"\x{1EE5}" => 'udotbelow',
"\x{1EE6}" => 'Uhookabove',
"\x{1EE7}" => 'uhookabove',
"\x{1EE8}" => 'Uhornacute',
"\x{1EE9}" => 'uhornacute',
"\x{1EEA}" => 'Uhorngrave',
"\x{1EEB}" => 'uhorngrave',
"\x{1EEC}" => 'Uhornhookabove',
"\x{1EED}" => 'uhornhookabove',
"\x{1EEE}" => 'Uhorntilde',
"\x{1EEF}" => 'uhorntilde',
"\x{1EF0}" => 'Uhorndotbelow',
"\x{1EF1}" => 'uhorndotbelow',
"\x{1EF2}" => 'Ygrave',
"\x{1EF3}" => 'ygrave',
"\x{1EF4}" => 'Ydotbelow',
"\x{1EF5}" => 'ydotbelow',
"\x{1EF6}" => 'Yhookabove',
"\x{1EF7}" => 'yhookabove',
"\x{1EF8}" => 'Ytilde',
"\x{1EF9}" => 'ytilde',
"\x{2002}" => 'enspace',
"\x{200B}" => 'zerowidthspace',
"\x{200C}" => 'zerowidthnonjoiner',
"\x{2010}" => 'hyphentwo',
"\x{2012}" => 'figuredash',
"\x{2013}" => 'endash',
"\x{2014}" => 'emdash',
"\x{2015}" => 'horizontalbar',
"\x{2016}" => 'dblverticalbar',
"\x{2017}" => 'dbllowline',
"\x{2018}" => 'quoteleft',
"\x{2019}" => 'quoteright',
"\x{201A}" => 'quotesinglbase',
"\x{201B}" => 'quotereversed',
"\x{201C}" => 'quotedblleft',
"\x{201D}" => 'quotedblright',
"\x{201E}" => 'quotedblbase',
"\x{2020}" => 'dagger',
"\x{2021}" => 'daggerdbl',
"\x{2022}" => 'bullet',
"\x{2024}" => 'onedotenleader',
"\x{2025}" => 'twodotleader',
"\x{2026}" => 'ellipsis',
"\x{2030}" => 'perthousand',
"\x{2032}" => 'minute',
"\x{2033}" => 'second',
"\x{2035}" => 'primereversed',
"\x{2039}" => 'guilsinglleft',
"\x{203A}" => 'guilsinglright',
"\x{203B}" => 'referencemark',
"\x{203C}" => 'exclamdbl',
"\x{203E}" => 'overline',
"\x{2042}" => 'asterism',
"\x{2044}" => 'fraction',
"\x{2070}" => 'zerosuperior',
"\x{2074}" => 'foursuperior',
"\x{2075}" => 'fivesuperior',
"\x{2076}" => 'sixsuperior',
"\x{2077}" => 'sevensuperior',
"\x{2078}" => 'eightsuperior',
"\x{2079}" => 'ninesuperior',
"\x{207A}" => 'plussuperior',
"\x{207C}" => 'equalsuperior',
"\x{207D}" => 'parenleftsuperior',
"\x{207E}" => 'parenrightsuperior',
"\x{207F}" => 'nsuperior',
"\x{2080}" => 'zeroinferior',
"\x{2081}" => 'oneinferior',
"\x{2082}" => 'twoinferior',
"\x{2083}" => 'threeinferior',
"\x{2084}" => 'fourinferior',
"\x{2085}" => 'fiveinferior',
"\x{2086}" => 'sixinferior',
"\x{2087}" => 'seveninferior',
"\x{2088}" => 'eightinferior',
"\x{2089}" => 'nineinferior',
"\x{208D}" => 'parenleftinferior',
"\x{208E}" => 'parenrightinferior',
"\x{20A1}" => 'colonsign',
"\x{20A2}" => 'cruzeiro',
"\x{20A3}" => 'franc',
"\x{20A4}" => 'lira',
"\x{20A7}" => 'peseta',
"\x{20A9}" => 'won',
"\x{20AA}" => 'sheqel',
"\x{20AB}" => 'dong',
"\x{20AC}" => 'Euro',
"\x{2103}" => 'centigrade',
"\x{2105}" => 'careof',
"\x{2109}" => 'fahrenheit',
"\x{2111}" => 'Ifraktur',
"\x{2113}" => 'lsquare',
"\x{2116}" => 'numero',
"\x{2118}" => 'weierstrass',
"\x{211C}" => 'Rfraktur',
"\x{211E}" => 'prescription',
"\x{2121}" => 'telephone',
"\x{2122}" => 'trademark',
"\x{2126}" => 'Ohm',
"\x{212B}" => 'angstrom',
"\x{212E}" => 'estimated',
"\x{2135}" => 'aleph',
"\x{2153}" => 'onethird',
"\x{2154}" => 'twothirds',
"\x{215B}" => 'oneeighth',
"\x{215C}" => 'threeeighths',
"\x{215D}" => 'fiveeighths',
"\x{215E}" => 'seveneighths',
"\x{2160}" => 'Oneroman',
"\x{2161}" => 'Tworoman',
"\x{2162}" => 'Threeroman',
"\x{2163}" => 'Fourroman',
"\x{2164}" => 'Fiveroman',
"\x{2165}" => 'Sixroman',
"\x{2166}" => 'Sevenroman',
"\x{2167}" => 'Eightroman',
"\x{2168}" => 'Nineroman',
"\x{2169}" => 'Tenroman',
"\x{216A}" => 'Elevenroman',
"\x{216B}" => 'Twelveroman',
"\x{2170}" => 'oneroman',
"\x{2171}" => 'tworoman',
"\x{2172}" => 'threeroman',
"\x{2173}" => 'fourroman',
"\x{2174}" => 'fiveroman',
"\x{2175}" => 'sixroman',
"\x{2176}" => 'sevenroman',
"\x{2177}" => 'eightroman',
"\x{2178}" => 'nineroman',
"\x{2179}" => 'tenroman',
"\x{217A}" => 'elevenroman',
"\x{217B}" => 'twelveroman',
"\x{2190}" => 'arrowleft',
"\x{2191}" => 'arrowup',
"\x{2192}" => 'arrowright',
"\x{2193}" => 'arrowdown',
"\x{2194}" => 'arrowboth',
"\x{2195}" => 'arrowupdn',
"\x{2196}" => 'arrowupleft',
"\x{2197}" => 'arrowupright',
"\x{2198}" => 'arrowdownright',
"\x{2199}" => 'arrowdownleft',
"\x{21A8}" => 'arrowupdnbse',
"\x{21B5}" => 'carriagereturn',
"\x{21BC}" => 'harpoonleftbarbup',
"\x{21C0}" => 'harpoonrightbarbup',
"\x{21C4}" => 'arrowrightoverleft',
"\x{21C5}" => 'arrowupleftofdown',
"\x{21C6}" => 'arrowleftoverright',
"\x{21CD}" => 'arrowleftdblstroke',
"\x{21CF}" => 'arrowrightdblstroke',
"\x{21D0}" => 'arrowdblleft',
"\x{21D1}" => 'arrowdblup',
"\x{21D2}" => 'arrowdblright',
"\x{21D3}" => 'arrowdbldown',
"\x{21D4}" => 'arrowdblboth',
"\x{21DE}" => 'pageup',
"\x{21DF}" => 'pagedown',
"\x{21E0}" => 'arrowdashleft',
"\x{21E1}" => 'arrowdashup',
"\x{21E2}" => 'arrowdashright',
"\x{21E3}" => 'arrowdashdown',
"\x{21E4}" => 'arrowtableft',
"\x{21E5}" => 'arrowtabright',
"\x{21E6}" => 'arrowleftwhite',
"\x{21E7}" => 'arrowupwhite',
"\x{21E8}" => 'arrowrightwhite',
"\x{21E9}" => 'arrowdownwhite',
"\x{21EA}" => 'capslock',
"\x{2200}" => 'forall',
"\x{2202}" => 'partialdiff',
"\x{2203}" => 'existential',
"\x{2205}" => 'emptyset',
"\x{2206}" => 'Delta',
"\x{2207}" => 'nabla',
"\x{2208}" => 'element',
"\x{2209}" => 'notelement',
"\x{220B}" => 'suchthat',
"\x{220C}" => 'notcontains',
"\x{220F}" => 'product',
"\x{2211}" => 'summation',
"\x{2212}" => 'minus',
"\x{2213}" => 'minusplus',
"\x{2215}" => 'divisionslash',
"\x{2217}" => 'asteriskmath',
"\x{2219}" => 'bulletoperator',
"\x{221A}" => 'radical',
"\x{221D}" => 'proportional',
"\x{221E}" => 'infinity',
"\x{221F}" => 'orthogonal',
"\x{2220}" => 'angle',
"\x{2223}" => 'divides',
"\x{2225}" => 'parallel',
"\x{2226}" => 'notparallel',
"\x{2227}" => 'logicaland',
"\x{2228}" => 'logicalor',
"\x{2229}" => 'intersection',
"\x{222A}" => 'union',
"\x{222B}" => 'integral',
"\x{222C}" => 'dblintegral',
"\x{222E}" => 'contourintegral',
"\x{2234}" => 'therefore',
"\x{2235}" => 'because',
"\x{2236}" => 'ratio',
"\x{2237}" => 'proportion',
"\x{223C}" => 'similar',
"\x{223D}" => 'reversedtilde',
"\x{2243}" => 'asymptoticallyequal',
"\x{2245}" => 'congruent',
"\x{2248}" => 'approxequal',
"\x{224C}" => 'allequal',
"\x{2250}" => 'approaches',
"\x{2251}" => 'geometricallyequal',
"\x{2252}" => 'approxequalorimage',
"\x{2253}" => 'imageorapproximatelyequal',
"\x{2260}" => 'notequal',
"\x{2261}" => 'equivalence',
"\x{2262}" => 'notidentical',
"\x{2264}" => 'lessequal',
"\x{2265}" => 'greaterequal',
"\x{2266}" => 'lessoverequal',
"\x{2267}" => 'greateroverequal',
"\x{226A}" => 'muchless',
"\x{226B}" => 'muchgreater',
"\x{226E}" => 'notless',
"\x{226F}" => 'notgreater',
"\x{2270}" => 'notlessnorequal',
"\x{2271}" => 'notgreaternorequal',
"\x{2272}" => 'lessorequivalent',
"\x{2273}" => 'greaterorequivalent',
"\x{2276}" => 'lessorgreater',
"\x{2277}" => 'greaterorless',
"\x{2279}" => 'notgreaternorless',
"\x{227A}" => 'precedes',
"\x{227B}" => 'succeeds',
"\x{2280}" => 'notprecedes',
"\x{2281}" => 'notsucceeds',
"\x{2282}" => 'subset',
"\x{2283}" => 'superset',
"\x{2284}" => 'notsubset',
"\x{2285}" => 'notsuperset',
"\x{2286}" => 'reflexsubset',
"\x{2287}" => 'reflexsuperset',
"\x{228A}" => 'subsetnotequal',
"\x{228B}" => 'supersetnotequal',
"\x{2295}" => 'circleplus',
"\x{2296}" => 'minuscircle',
"\x{2297}" => 'timescircle',
"\x{2299}" => 'circleot',
"\x{22A3}" => 'tackleft',
"\x{22A4}" => 'tackdown',
"\x{22A5}" => 'perpendicular',
"\x{22BF}" => 'righttriangle',
"\x{22C5}" => 'dotmath',
"\x{22CE}" => 'curlyor',
"\x{22CF}" => 'curlyand',
"\x{22DA}" => 'lessequalorgreater',
"\x{22DB}" => 'greaterequalorless',
"\x{22EE}" => 'ellipsisvertical',
"\x{2302}" => 'house',
"\x{2303}" => 'control',
"\x{2305}" => 'projective',
"\x{2310}" => 'revlogicalnot',
"\x{2312}" => 'arc',
"\x{2318}" => 'propellor',
"\x{2320}" => 'integraltp',
"\x{2321}" => 'integralbt',
"\x{2325}" => 'option',
"\x{2326}" => 'deleteright',
"\x{2327}" => 'clear',
"\x{2329}" => 'angleleft',
"\x{232A}" => 'angleright',
"\x{232B}" => 'deleteleft',
"\x{2423}" => 'blank',
"\x{2460}" => 'onecircle',
"\x{2461}" => 'twocircle',
"\x{2462}" => 'threecircle',
"\x{2463}" => 'fourcircle',
"\x{2464}" => 'fivecircle',
"\x{2465}" => 'sixcircle',
"\x{2466}" => 'sevencircle',
"\x{2467}" => 'eightcircle',
"\x{2468}" => 'ninecircle',
"\x{2469}" => 'tencircle',
"\x{246A}" => 'elevencircle',
"\x{246B}" => 'twelvecircle',
"\x{246C}" => 'thirteencircle',
"\x{246D}" => 'fourteencircle',
"\x{246E}" => 'fifteencircle',
"\x{246F}" => 'sixteencircle',
"\x{2470}" => 'seventeencircle',
"\x{2471}" => 'eighteencircle',
"\x{2472}" => 'nineteencircle',
"\x{2473}" => 'twentycircle',
"\x{2474}" => 'oneparen',
"\x{2475}" => 'twoparen',
"\x{2476}" => 'threeparen',
"\x{2477}" => 'fourparen',
"\x{2478}" => 'fiveparen',
"\x{2479}" => 'sixparen',
"\x{247A}" => 'sevenparen',
"\x{247B}" => 'eightparen',
"\x{247C}" => 'nineparen',
"\x{247D}" => 'tenparen',
"\x{247E}" => 'elevenparen',
"\x{247F}" => 'twelveparen',
"\x{2480}" => 'thirteenparen',
"\x{2481}" => 'fourteenparen',
"\x{2482}" => 'fifteenparen',
"\x{2483}" => 'sixteenparen',
"\x{2484}" => 'seventeenparen',
"\x{2485}" => 'eighteenparen',
"\x{2486}" => 'nineteenparen',
"\x{2487}" => 'twentyparen',
"\x{2488}" => 'oneperiod',
"\x{2489}" => 'twoperiod',
"\x{248A}" => 'threeperiod',
"\x{248B}" => 'fourperiod',
"\x{248C}" => 'fiveperiod',
"\x{248D}" => 'sixperiod',
"\x{248E}" => 'sevenperiod',
"\x{248F}" => 'eightperiod',
"\x{2490}" => 'nineperiod',
"\x{2491}" => 'tenperiod',
"\x{2492}" => 'elevenperiod',
"\x{2493}" => 'twelveperiod',
"\x{2494}" => 'thirteenperiod',
"\x{2495}" => 'fourteenperiod',
"\x{2496}" => 'fifteenperiod',
"\x{2497}" => 'sixteenperiod',
"\x{2498}" => 'seventeenperiod',
"\x{2499}" => 'eighteenperiod',
"\x{249A}" => 'nineteenperiod',
"\x{249B}" => 'twentyperiod',
"\x{249C}" => 'aparen',
"\x{249D}" => 'bparen',
"\x{249E}" => 'cparen',
"\x{249F}" => 'dparen',
"\x{24A0}" => 'eparen',
"\x{24A1}" => 'fparen',
"\x{24A2}" => 'gparen',
"\x{24A3}" => 'hparen',
"\x{24A4}" => 'iparen',
"\x{24A5}" => 'jparen',
"\x{24A6}" => 'kparen',
"\x{24A7}" => 'lparen',
"\x{24A8}" => 'mparen',
"\x{24A9}" => 'nparen',
"\x{24AA}" => 'oparen',
"\x{24AB}" => 'pparen',
"\x{24AC}" => 'qparen',
"\x{24AD}" => 'rparen',
"\x{24AE}" => 'sparen',
"\x{24AF}" => 'tparen',
"\x{24B0}" => 'uparen',
"\x{24B1}" => 'vparen',
"\x{24B2}" => 'wparen',
"\x{24B3}" => 'xparen',
"\x{24B4}" => 'yparen',
"\x{24B5}" => 'zparen',
"\x{24B6}" => 'Acircle',
"\x{24B7}" => 'Bcircle',
"\x{24B8}" => 'Ccircle',
"\x{24B9}" => 'Dcircle',
"\x{24BA}" => 'Ecircle',
"\x{24BB}" => 'Fcircle',
"\x{24BC}" => 'Gcircle',
"\x{24BD}" => 'Hcircle',
"\x{24BE}" => 'Icircle',
"\x{24BF}" => 'Jcircle',
"\x{24C0}" => 'Kcircle',
"\x{24C1}" => 'Lcircle',
"\x{24C2}" => 'Mcircle',
"\x{24C3}" => 'Ncircle',
"\x{24C4}" => 'Ocircle',
"\x{24C5}" => 'Pcircle',
"\x{24C6}" => 'Qcircle',
"\x{24C7}" => 'Rcircle',
"\x{24C8}" => 'Scircle',
"\x{24C9}" => 'Tcircle',
"\x{24CA}" => 'Ucircle',
"\x{24CB}" => 'Vcircle',
"\x{24CC}" => 'Wcircle',
"\x{24CD}" => 'Xcircle',
"\x{24CE}" => 'Ycircle',
"\x{24CF}" => 'Zcircle',
"\x{24D0}" => 'acircle',
"\x{24D1}" => 'bcircle',
"\x{24D2}" => 'ccircle',
"\x{24D3}" => 'dcircle',
"\x{24D4}" => 'ecircle',
"\x{24D5}" => 'fcircle',
"\x{24D6}" => 'gcircle',
"\x{24D7}" => 'hcircle',
"\x{24D8}" => 'icircle',
"\x{24D9}" => 'jcircle',
"\x{24DA}" => 'kcircle',
"\x{24DB}" => 'lcircle',
"\x{24DC}" => 'mcircle',
"\x{24DD}" => 'ncircle',
"\x{24DE}" => 'ocircle',
"\x{24DF}" => 'pcircle',
"\x{24E0}" => 'qcircle',
"\x{24E1}" => 'rcircle',
"\x{24E2}" => 'scircle',
"\x{24E3}" => 'tcircle',
"\x{24E4}" => 'ucircle',
"\x{24E5}" => 'vcircle',
"\x{24E6}" => 'wcircle',
"\x{24E7}" => 'xcircle',
"\x{24E8}" => 'ycircle',
"\x{24E9}" => 'zcircle',
"\x{2500}" => 'SF100000',
"\x{2502}" => 'SF110000',
"\x{250C}" => 'SF010000',
"\x{2510}" => 'SF030000',
"\x{2514}" => 'SF020000',
"\x{2518}" => 'SF040000',
"\x{251C}" => 'SF080000',
"\x{2524}" => 'SF090000',
"\x{252C}" => 'SF060000',
"\x{2534}" => 'SF070000',
"\x{253C}" => 'SF050000',
"\x{2550}" => 'SF430000',
"\x{2551}" => 'SF240000',
"\x{2552}" => 'SF510000',
"\x{2553}" => 'SF520000',
"\x{2554}" => 'SF390000',
"\x{2555}" => 'SF220000',
"\x{2556}" => 'SF210000',
"\x{2557}" => 'SF250000',
"\x{2558}" => 'SF500000',
"\x{2559}" => 'SF490000',
"\x{255A}" => 'SF380000',
"\x{255B}" => 'SF280000',
"\x{255C}" => 'SF270000',
"\x{255D}" => 'SF260000',
"\x{255E}" => 'SF360000',
"\x{255F}" => 'SF370000',
"\x{2560}" => 'SF420000',
"\x{2561}" => 'SF190000',
"\x{2562}" => 'SF200000',
"\x{2563}" => 'SF230000',
"\x{2564}" => 'SF470000',
"\x{2565}" => 'SF480000',
"\x{2566}" => 'SF410000',
"\x{2567}" => 'SF450000',
"\x{2568}" => 'SF460000',
"\x{2569}" => 'SF400000',
"\x{256A}" => 'SF540000',
"\x{256B}" => 'SF530000',
"\x{256C}" => 'SF440000',
"\x{2580}" => 'upblock',
"\x{2584}" => 'dnblock',
"\x{2588}" => 'block',
"\x{258C}" => 'lfblock',
"\x{2590}" => 'rtblock',
"\x{2591}" => 'ltshade',
"\x{2592}" => 'shade',
"\x{2593}" => 'dkshade',
"\x{25A0}" => 'filledbox',
"\x{25A1}" => 'H22073',
"\x{25A3}" => 'squarewhitewithsmallblack',
"\x{25A4}" => 'squarehorizontalfill',
"\x{25A5}" => 'squareverticalfill',
"\x{25A6}" => 'squareorthogonalcrosshatchfill',
"\x{25A7}" => 'squareupperlefttolowerrightfill',
"\x{25A8}" => 'squareupperrighttolowerleftfill',
"\x{25A9}" => 'squarediagonalcrosshatchfill',
"\x{25AA}" => 'H18543',
"\x{25AB}" => 'H18551',
"\x{25AC}" => 'filledrect',
"\x{25B2}" => 'triagup',
"\x{25B3}" => 'whiteuppointingtriangle',
"\x{25B4}" => 'blackuppointingsmalltriangle',
"\x{25B5}" => 'whiteuppointingsmalltriangle',
"\x{25B6}" => 'blackrightpointingtriangle',
"\x{25B7}" => 'whiterightpointingtriangle',
"\x{25B9}" => 'whiterightpointingsmalltriangle',
"\x{25BA}" => 'triagrt',
"\x{25BC}" => 'triagdn',
"\x{25BD}" => 'whitedownpointingtriangle',
"\x{25BF}" => 'whitedownpointingsmalltriangle',
"\x{25C0}" => 'blackleftpointingtriangle',
"\x{25C1}" => 'whiteleftpointingtriangle',
"\x{25C3}" => 'whiteleftpointingsmalltriangle',
"\x{25C4}" => 'triaglf',
"\x{25C6}" => 'blackdiamond',
"\x{25C7}" => 'whitediamond',
"\x{25C8}" => 'whitediamondcontainingblacksmalldiamond',
"\x{25C9}" => 'fisheye',
"\x{25CA}" => 'lozenge',
"\x{25CB}" => 'circle',
"\x{25CC}" => 'dottedcircle',
"\x{25CE}" => 'bullseye',
"\x{25CF}" => 'H18533',
"\x{25D0}" => 'circlewithlefthalfblack',
"\x{25D1}" => 'circlewithrighthalfblack',
"\x{25D8}" => 'invbullet',
"\x{25D9}" => 'invcircle',
"\x{25E2}" => 'blacklowerrighttriangle',
"\x{25E3}" => 'blacklowerlefttriangle',
"\x{25E4}" => 'blackupperlefttriangle',
"\x{25E5}" => 'blackupperrighttriangle',
"\x{25E6}" => 'openbullet',
"\x{25EF}" => 'largecircle',
"\x{2605}" => 'blackstar',
"\x{2606}" => 'whitestar',
"\x{260E}" => 'telephoneblack',
"\x{260F}" => 'whitetelephone',
"\x{261C}" => 'pointingindexleftwhite',
"\x{261D}" => 'pointingindexupwhite',
"\x{261E}" => 'pointingindexrightwhite',
"\x{261F}" => 'pointingindexdownwhite',
"\x{262F}" => 'yinyang',
"\x{263A}" => 'smileface',
"\x{263B}" => 'invsmileface',
"\x{263C}" => 'sun',
"\x{2640}" => 'venus',
"\x{2641}" => 'earth',
"\x{2642}" => 'male',
"\x{2660}" => 'spade',
"\x{2661}" => 'heartsuitwhite',
"\x{2662}" => 'diamondsuitwhite',
"\x{2663}" => 'club',
"\x{2664}" => 'spadesuitwhite',
"\x{2665}" => 'heart',
"\x{2666}" => 'diamond',
"\x{2667}" => 'clubsuitwhite',
"\x{2668}" => 'hotsprings',
"\x{2669}" => 'quarternote',
"\x{266A}" => 'musicalnote',
"\x{266B}" => 'musicalnotedbl',
"\x{266C}" => 'beamedsixteenthnotes',
"\x{266D}" => 'musicflatsign',
"\x{266F}" => 'musicsharpsign',
"\x{2713}" => 'checkmark',
"\x{278A}" => 'onecircleinversesansserif',
"\x{278B}" => 'twocircleinversesansserif',
"\x{278C}" => 'threecircleinversesansserif',
"\x{278D}" => 'fourcircleinversesansserif',
"\x{278E}" => 'fivecircleinversesansserif',
"\x{278F}" => 'sixcircleinversesansserif',
"\x{2790}" => 'sevencircleinversesansserif',
"\x{2791}" => 'eightcircleinversesansserif',
"\x{2792}" => 'ninecircleinversesansserif',
"\x{279E}" => 'arrowrightheavy',
"\x{3000}" => 'ideographicspace',
"\x{3001}" => 'ideographiccomma',
"\x{3002}" => 'ideographicperiod',
"\x{3003}" => 'dittomark',
"\x{3004}" => 'jis',
"\x{3005}" => 'ideographiciterationmark',
"\x{3006}" => 'ideographicclose',
"\x{3007}" => 'ideographiczero',
"\x{3008}" => 'anglebracketleft',
"\x{3009}" => 'anglebracketright',
"\x{300A}" => 'dblanglebracketleft',
"\x{300B}" => 'dblanglebracketright',
"\x{300C}" => 'cornerbracketleft',
"\x{300D}" => 'cornerbracketright',
"\x{300E}" => 'whitecornerbracketleft',
"\x{300F}" => 'whitecornerbracketright',
"\x{3010}" => 'blacklenticularbracketleft',
"\x{3011}" => 'blacklenticularbracketright',
"\x{3012}" => 'postalmark',
"\x{3013}" => 'getamark',
"\x{3014}" => 'tortoiseshellbracketleft',
"\x{3015}" => 'tortoiseshellbracketright',
"\x{3016}" => 'whitelenticularbracketleft',
"\x{3017}" => 'whitelenticularbracketright',
"\x{3018}" => 'whitetortoiseshellbracketleft',
"\x{3019}" => 'whitetortoiseshellbracketright',
"\x{301C}" => 'wavedash',
"\x{301D}" => 'quotedblprimereversed',
"\x{301E}" => 'quotedblprime',
"\x{3020}" => 'postalmarkface',
"\x{3021}" => 'onehangzhou',
"\x{3022}" => 'twohangzhou',
"\x{3023}" => 'threehangzhou',
"\x{3024}" => 'fourhangzhou',
"\x{3025}" => 'fivehangzhou',
"\x{3026}" => 'sixhangzhou',
"\x{3027}" => 'sevenhangzhou',
"\x{3028}" => 'eighthangzhou',
"\x{3029}" => 'ninehangzhou',
"\x{3036}" => 'circlepostalmark',
"\x{3041}" => 'asmallhiragana',
"\x{3042}" => 'ahiragana',
"\x{3043}" => 'ismallhiragana',
"\x{3044}" => 'ihiragana',
"\x{3045}" => 'usmallhiragana',
"\x{3046}" => 'uhiragana',
"\x{3047}" => 'esmallhiragana',
"\x{3048}" => 'ehiragana',
"\x{3049}" => 'osmallhiragana',
"\x{304A}" => 'ohiragana',
"\x{304B}" => 'kahiragana',
"\x{304C}" => 'gahiragana',
"\x{304D}" => 'kihiragana',
"\x{304E}" => 'gihiragana',
"\x{304F}" => 'kuhiragana',
"\x{3050}" => 'guhiragana',
"\x{3051}" => 'kehiragana',
"\x{3052}" => 'gehiragana',
"\x{3053}" => 'kohiragana',
"\x{3054}" => 'gohiragana',
"\x{3055}" => 'sahiragana',
"\x{3056}" => 'zahiragana',
"\x{3057}" => 'sihiragana',
"\x{3058}" => 'zihiragana',
"\x{3059}" => 'suhiragana',
"\x{305A}" => 'zuhiragana',
"\x{305B}" => 'sehiragana',
"\x{305C}" => 'zehiragana',
"\x{305D}" => 'sohiragana',
"\x{305E}" => 'zohiragana',
"\x{305F}" => 'tahiragana',
"\x{3060}" => 'dahiragana',
"\x{3061}" => 'tihiragana',
"\x{3062}" => 'dihiragana',
"\x{3063}" => 'tusmallhiragana',
"\x{3064}" => 'tuhiragana',
"\x{3065}" => 'duhiragana',
"\x{3066}" => 'tehiragana',
"\x{3067}" => 'dehiragana',
"\x{3068}" => 'tohiragana',
"\x{3069}" => 'dohiragana',
"\x{306A}" => 'nahiragana',
"\x{306B}" => 'nihiragana',
"\x{306C}" => 'nuhiragana',
"\x{306D}" => 'nehiragana',
"\x{306E}" => 'nohiragana',
"\x{306F}" => 'hahiragana',
"\x{3070}" => 'bahiragana',
"\x{3071}" => 'pahiragana',
"\x{3072}" => 'hihiragana',
"\x{3073}" => 'bihiragana',
"\x{3074}" => 'pihiragana',
"\x{3075}" => 'huhiragana',
"\x{3076}" => 'buhiragana',
"\x{3077}" => 'puhiragana',
"\x{3078}" => 'hehiragana',
"\x{3079}" => 'behiragana',
"\x{307A}" => 'pehiragana',
"\x{307B}" => 'hohiragana',
"\x{307C}" => 'bohiragana',
"\x{307D}" => 'pohiragana',
"\x{307E}" => 'mahiragana',
"\x{307F}" => 'mihiragana',
"\x{3080}" => 'muhiragana',
"\x{3081}" => 'mehiragana',
"\x{3082}" => 'mohiragana',
"\x{3083}" => 'yasmallhiragana',
"\x{3084}" => 'yahiragana',
"\x{3085}" => 'yusmallhiragana',
"\x{3086}" => 'yuhiragana',
"\x{3087}" => 'yosmallhiragana',
"\x{3088}" => 'yohiragana',
"\x{3089}" => 'rahiragana',
"\x{308A}" => 'rihiragana',
"\x{308B}" => 'ruhiragana',
"\x{308C}" => 'rehiragana',
"\x{308D}" => 'rohiragana',
"\x{308E}" => 'wasmallhiragana',
"\x{308F}" => 'wahiragana',
"\x{3090}" => 'wihiragana',
"\x{3091}" => 'wehiragana',
"\x{3092}" => 'wohiragana',
"\x{3093}" => 'nhiragana',
"\x{3094}" => 'vuhiragana',
"\x{309B}" => 'voicedmarkkana',
"\x{309C}" => 'semivoicedmarkkana',
"\x{309D}" => 'iterationhiragana',
"\x{309E}" => 'voicediterationhiragana',
"\x{30A1}" => 'asmallkatakana',
"\x{30A2}" => 'akatakana',
"\x{30A3}" => 'ismallkatakana',
"\x{30A4}" => 'ikatakana',
"\x{30A5}" => 'usmallkatakana',
"\x{30A6}" => 'ukatakana',
"\x{30A7}" => 'esmallkatakana',
"\x{30A8}" => 'ekatakana',
"\x{30A9}" => 'osmallkatakana',
"\x{30AA}" => 'okatakana',
"\x{30AB}" => 'kakatakana',
"\x{30AC}" => 'gakatakana',
"\x{30AD}" => 'kikatakana',
"\x{30AE}" => 'gikatakana',
"\x{30AF}" => 'kukatakana',
"\x{30B0}" => 'gukatakana',
"\x{30B1}" => 'kekatakana',
"\x{30B2}" => 'gekatakana',
"\x{30B3}" => 'kokatakana',
"\x{30B4}" => 'gokatakana',
"\x{30B5}" => 'sakatakana',
"\x{30B6}" => 'zakatakana',
"\x{30B7}" => 'sikatakana',
"\x{30B8}" => 'zikatakana',
"\x{30B9}" => 'sukatakana',
"\x{30BA}" => 'zukatakana',
"\x{30BB}" => 'sekatakana',
"\x{30BC}" => 'zekatakana',
"\x{30BD}" => 'sokatakana',
"\x{30BE}" => 'zokatakana',
"\x{30BF}" => 'takatakana',
"\x{30C0}" => 'dakatakana',
"\x{30C1}" => 'tikatakana',
"\x{30C2}" => 'dikatakana',
"\x{30C3}" => 'tusmallkatakana',
"\x{30C4}" => 'tukatakana',
"\x{30C5}" => 'dukatakana',
"\x{30C6}" => 'tekatakana',
"\x{30C7}" => 'dekatakana',
"\x{30C8}" => 'tokatakana',
"\x{30C9}" => 'dokatakana',
"\x{30CA}" => 'nakatakana',
"\x{30CB}" => 'nikatakana',
"\x{30CC}" => 'nukatakana',
"\x{30CD}" => 'nekatakana',
"\x{30CE}" => 'nokatakana',
"\x{30CF}" => 'hakatakana',
"\x{30D0}" => 'bakatakana',
"\x{30D1}" => 'pakatakana',
"\x{30D2}" => 'hikatakana',
"\x{30D3}" => 'bikatakana',
"\x{30D4}" => 'pikatakana',
"\x{30D5}" => 'hukatakana',
"\x{30D6}" => 'bukatakana',
"\x{30D7}" => 'pukatakana',
"\x{30D8}" => 'hekatakana',
"\x{30D9}" => 'bekatakana',
"\x{30DA}" => 'pekatakana',
"\x{30DB}" => 'hokatakana',
"\x{30DC}" => 'bokatakana',
"\x{30DD}" => 'pokatakana',
"\x{30DE}" => 'makatakana',
"\x{30DF}" => 'mikatakana',
"\x{30E0}" => 'mukatakana',
"\x{30E1}" => 'mekatakana',
"\x{30E2}" => 'mokatakana',
"\x{30E3}" => 'yasmallkatakana',
"\x{30E4}" => 'yakatakana',
"\x{30E5}" => 'yusmallkatakana',
"\x{30E6}" => 'yukatakana',
"\x{30E7}" => 'yosmallkatakana',
"\x{30E8}" => 'yokatakana',
"\x{30E9}" => 'rakatakana',
"\x{30EA}" => 'rikatakana',
"\x{30EB}" => 'rukatakana',
"\x{30EC}" => 'rekatakana',
"\x{30ED}" => 'rokatakana',
"\x{30EE}" => 'wasmallkatakana',
"\x{30EF}" => 'wakatakana',
"\x{30F0}" => 'wikatakana',
"\x{30F1}" => 'wekatakana',
"\x{30F2}" => 'wokatakana',
"\x{30F3}" => 'nkatakana',
"\x{30F4}" => 'vukatakana',
"\x{30F5}" => 'kasmallkatakana',
"\x{30F6}" => 'kesmallkatakana',
"\x{30F7}" => 'vakatakana',
"\x{30F8}" => 'vikatakana',
"\x{30F9}" => 'vekatakana',
"\x{30FA}" => 'vokatakana',
"\x{30FB}" => 'dotkatakana',
"\x{30FC}" => 'prolongedkana',
"\x{30FD}" => 'iterationkatakana',
"\x{30FE}" => 'voicediterationkatakana',
"\x{3105}" => 'bbopomofo',
"\x{3106}" => 'pbopomofo',
"\x{3107}" => 'mbopomofo',
"\x{3108}" => 'fbopomofo',
"\x{3109}" => 'dbopomofo',
"\x{310A}" => 'tbopomofo',
"\x{310B}" => 'nbopomofo',
"\x{310C}" => 'lbopomofo',
"\x{310D}" => 'gbopomofo',
"\x{310E}" => 'kbopomofo',
"\x{310F}" => 'hbopomofo',
"\x{3110}" => 'jbopomofo',
"\x{3111}" => 'qbopomofo',
"\x{3112}" => 'xbopomofo',
"\x{3113}" => 'zhbopomofo',
"\x{3114}" => 'chbopomofo',
"\x{3115}" => 'shbopomofo',
"\x{3116}" => 'rbopomofo',
"\x{3117}" => 'zbopomofo',
"\x{3118}" => 'cbopomofo',
"\x{3119}" => 'sbopomofo',
"\x{311A}" => 'abopomofo',
"\x{311B}" => 'obopomofo',
"\x{311C}" => 'ebopomofo',
"\x{311D}" => 'ehbopomofo',
"\x{311E}" => 'aibopomofo',
"\x{311F}" => 'eibopomofo',
"\x{3120}" => 'aubopomofo',
"\x{3121}" => 'oubopomofo',
"\x{3122}" => 'anbopomofo',
"\x{3123}" => 'enbopomofo',
"\x{3124}" => 'angbopomofo',
"\x{3125}" => 'engbopomofo',
"\x{3126}" => 'erbopomofo',
"\x{3127}" => 'ibopomofo',
"\x{3128}" => 'ubopomofo',
"\x{3129}" => 'iubopomofo',
"\x{3131}" => 'kiyeokkorean',
"\x{3132}" => 'ssangkiyeokkorean',
"\x{3133}" => 'kiyeoksioskorean',
"\x{3134}" => 'nieunkorean',
"\x{3135}" => 'nieuncieuckorean',
"\x{3136}" => 'nieunhieuhkorean',
"\x{3137}" => 'tikeutkorean',
"\x{3138}" => 'ssangtikeutkorean',
"\x{3139}" => 'rieulkorean',
"\x{313A}" => 'rieulkiyeokkorean',
"\x{313B}" => 'rieulmieumkorean',
"\x{313C}" => 'rieulpieupkorean',
"\x{313D}" => 'rieulsioskorean',
"\x{313E}" => 'rieulthieuthkorean',
"\x{313F}" => 'rieulphieuphkorean',
"\x{3140}" => 'rieulhieuhkorean',
"\x{3141}" => 'mieumkorean',
"\x{3142}" => 'pieupkorean',
"\x{3143}" => 'ssangpieupkorean',
"\x{3144}" => 'pieupsioskorean',
"\x{3145}" => 'sioskorean',
"\x{3146}" => 'ssangsioskorean',
"\x{3147}" => 'ieungkorean',
"\x{3148}" => 'cieuckorean',
"\x{3149}" => 'ssangcieuckorean',
"\x{314A}" => 'chieuchkorean',
"\x{314B}" => 'khieukhkorean',
"\x{314C}" => 'thieuthkorean',
"\x{314D}" => 'phieuphkorean',
"\x{314E}" => 'hieuhkorean',
"\x{314F}" => 'akorean',
"\x{3150}" => 'aekorean',
"\x{3151}" => 'yakorean',
"\x{3152}" => 'yaekorean',
"\x{3153}" => 'eokorean',
"\x{3154}" => 'ekorean',
"\x{3155}" => 'yeokorean',
"\x{3156}" => 'yekorean',
"\x{3157}" => 'okorean',
"\x{3158}" => 'wakorean',
"\x{3159}" => 'waekorean',
"\x{315A}" => 'oekorean',
"\x{315B}" => 'yokorean',
"\x{315C}" => 'ukorean',
"\x{315D}" => 'weokorean',
"\x{315E}" => 'wekorean',
"\x{315F}" => 'wikorean',
"\x{3160}" => 'yukorean',
"\x{3161}" => 'eukorean',
"\x{3162}" => 'yikorean',
"\x{3163}" => 'ikorean',
"\x{3164}" => 'hangulfiller',
"\x{3165}" => 'ssangnieunkorean',
"\x{3166}" => 'nieuntikeutkorean',
"\x{3167}" => 'nieunsioskorean',
"\x{3168}" => 'nieunpansioskorean',
"\x{3169}" => 'rieulkiyeoksioskorean',
"\x{316A}" => 'rieultikeutkorean',
"\x{316B}" => 'rieulpieupsioskorean',
"\x{316C}" => 'rieulpansioskorean',
"\x{316D}" => 'rieulyeorinhieuhkorean',
"\x{316E}" => 'mieumpieupkorean',
"\x{316F}" => 'mieumsioskorean',
"\x{3170}" => 'mieumpansioskorean',
"\x{3171}" => 'kapyeounmieumkorean',
"\x{3172}" => 'pieupkiyeokkorean',
"\x{3173}" => 'pieuptikeutkorean',
"\x{3174}" => 'pieupsioskiyeokkorean',
"\x{3175}" => 'pieupsiostikeutkorean',
"\x{3176}" => 'pieupcieuckorean',
"\x{3177}" => 'pieupthieuthkorean',
"\x{3178}" => 'kapyeounpieupkorean',
"\x{3179}" => 'kapyeounssangpieupkorean',
"\x{317A}" => 'sioskiyeokkorean',
"\x{317B}" => 'siosnieunkorean',
"\x{317C}" => 'siostikeutkorean',
"\x{317D}" => 'siospieupkorean',
"\x{317E}" => 'sioscieuckorean',
"\x{317F}" => 'pansioskorean',
"\x{3180}" => 'ssangieungkorean',
"\x{3181}" => 'yesieungkorean',
"\x{3182}" => 'yesieungsioskorean',
"\x{3183}" => 'yesieungpansioskorean',
"\x{3184}" => 'kapyeounphieuphkorean',
"\x{3185}" => 'ssanghieuhkorean',
"\x{3186}" => 'yeorinhieuhkorean',
"\x{3187}" => 'yoyakorean',
"\x{3188}" => 'yoyaekorean',
"\x{3189}" => 'yoikorean',
"\x{318A}" => 'yuyeokorean',
"\x{318B}" => 'yuyekorean',
"\x{318C}" => 'yuikorean',
"\x{318D}" => 'araeakorean',
"\x{318E}" => 'araeaekorean',
"\x{3200}" => 'kiyeokparenkorean',
"\x{3201}" => 'nieunparenkorean',
"\x{3202}" => 'tikeutparenkorean',
"\x{3203}" => 'rieulparenkorean',
"\x{3204}" => 'mieumparenkorean',
"\x{3205}" => 'pieupparenkorean',
"\x{3206}" => 'siosparenkorean',
"\x{3207}" => 'ieungparenkorean',
"\x{3208}" => 'cieucparenkorean',
"\x{3209}" => 'chieuchparenkorean',
"\x{320A}" => 'khieukhparenkorean',
"\x{320B}" => 'thieuthparenkorean',
"\x{320C}" => 'phieuphparenkorean',
"\x{320D}" => 'hieuhparenkorean',
"\x{320E}" => 'kiyeokaparenkorean',
"\x{320F}" => 'nieunaparenkorean',
"\x{3210}" => 'tikeutaparenkorean',
"\x{3211}" => 'rieulaparenkorean',
"\x{3212}" => 'mieumaparenkorean',
"\x{3213}" => 'pieupaparenkorean',
"\x{3214}" => 'siosaparenkorean',
"\x{3215}" => 'ieungaparenkorean',
"\x{3216}" => 'cieucaparenkorean',
"\x{3217}" => 'chieuchaparenkorean',
"\x{3218}" => 'khieukhaparenkorean',
"\x{3219}" => 'thieuthaparenkorean',
"\x{321A}" => 'phieuphaparenkorean',
"\x{321B}" => 'hieuhaparenkorean',
"\x{321C}" => 'cieucuparenkorean',
"\x{3220}" => 'oneideographicparen',
"\x{3221}" => 'twoideographicparen',
"\x{3222}" => 'threeideographicparen',
"\x{3223}" => 'fourideographicparen',
"\x{3224}" => 'fiveideographicparen',
"\x{3225}" => 'sixideographicparen',
"\x{3226}" => 'sevenideographicparen',
"\x{3227}" => 'eightideographicparen',
"\x{3228}" => 'nineideographicparen',
"\x{3229}" => 'tenideographicparen',
"\x{322A}" => 'ideographicmoonparen',
"\x{322B}" => 'ideographicfireparen',
"\x{322C}" => 'ideographicwaterparen',
"\x{322D}" => 'ideographicwoodparen',
"\x{322E}" => 'ideographicmetalparen',
"\x{322F}" => 'ideographicearthparen',
"\x{3230}" => 'ideographicsunparen',
"\x{3231}" => 'ideographicstockparen',
"\x{3232}" => 'ideographichaveparen',
"\x{3233}" => 'ideographicsocietyparen',
"\x{3234}" => 'ideographicnameparen',
"\x{3235}" => 'ideographicspecialparen',
"\x{3236}" => 'ideographicfinancialparen',
"\x{3237}" => 'ideographiccongratulationparen',
"\x{3238}" => 'ideographiclaborparen',
"\x{3239}" => 'ideographicrepresentparen',
"\x{323A}" => 'ideographiccallparen',
"\x{323B}" => 'ideographicstudyparen',
"\x{323C}" => 'ideographicsuperviseparen',
"\x{323D}" => 'ideographicenterpriseparen',
"\x{323E}" => 'ideographicresourceparen',
"\x{323F}" => 'ideographicallianceparen',
"\x{3240}" => 'ideographicfestivalparen',
"\x{3242}" => 'ideographicselfparen',
"\x{3243}" => 'ideographicreachparen',
"\x{3260}" => 'kiyeokcirclekorean',
"\x{3261}" => 'nieuncirclekorean',
"\x{3262}" => 'tikeutcirclekorean',
"\x{3263}" => 'rieulcirclekorean',
"\x{3264}" => 'mieumcirclekorean',
"\x{3265}" => 'pieupcirclekorean',
"\x{3266}" => 'sioscirclekorean',
"\x{3267}" => 'ieungcirclekorean',
"\x{3268}" => 'cieuccirclekorean',
"\x{3269}" => 'chieuchcirclekorean',
"\x{326A}" => 'khieukhcirclekorean',
"\x{326B}" => 'thieuthcirclekorean',
"\x{326C}" => 'phieuphcirclekorean',
"\x{326D}" => 'hieuhcirclekorean',
"\x{326E}" => 'kiyeokacirclekorean',
"\x{326F}" => 'nieunacirclekorean',
"\x{3270}" => 'tikeutacirclekorean',
"\x{3271}" => 'rieulacirclekorean',
"\x{3272}" => 'mieumacirclekorean',
"\x{3273}" => 'pieupacirclekorean',
"\x{3274}" => 'siosacirclekorean',
"\x{3275}" => 'ieungacirclekorean',
"\x{3276}" => 'cieucacirclekorean',
"\x{3277}" => 'chieuchacirclekorean',
"\x{3278}" => 'khieukhacirclekorean',
"\x{3279}" => 'thieuthacirclekorean',
"\x{327A}" => 'phieuphacirclekorean',
"\x{327B}" => 'hieuhacirclekorean',
"\x{327F}" => 'koreanstandardsymbol',
"\x{328A}" => 'ideographmooncircle',
"\x{328B}" => 'ideographfirecircle',
"\x{328C}" => 'ideographwatercircle',
"\x{328D}" => 'ideographwoodcircle',
"\x{328E}" => 'ideographmetalcircle',
"\x{328F}" => 'ideographearthcircle',
"\x{3290}" => 'ideographsuncircle',
"\x{3294}" => 'ideographnamecircle',
"\x{3296}" => 'ideographicfinancialcircle',
"\x{3298}" => 'ideographiclaborcircle',
"\x{3299}" => 'ideographicsecretcircle',
"\x{329D}" => 'ideographicexcellentcircle',
"\x{329E}" => 'ideographicprintcircle',
"\x{32A3}" => 'ideographiccorrectcircle',
"\x{32A4}" => 'ideographichighcircle',
"\x{32A5}" => 'ideographiccentrecircle',
"\x{32A6}" => 'ideographiclowcircle',
"\x{32A7}" => 'ideographicleftcircle',
"\x{32A8}" => 'ideographicrightcircle',
"\x{32A9}" => 'ideographicmedicinecircle',
"\x{3300}" => 'apaatosquare',
"\x{3303}" => 'aarusquare',
"\x{3305}" => 'intisquare',
"\x{330D}" => 'karoriisquare',
"\x{3314}" => 'kirosquare',
"\x{3315}" => 'kiroguramusquare',
"\x{3316}" => 'kiromeetorusquare',
"\x{3318}" => 'guramusquare',
"\x{331E}" => 'kooposquare',
"\x{3322}" => 'sentisquare',
"\x{3323}" => 'sentosquare',
"\x{3326}" => 'dorusquare',
"\x{3327}" => 'tonsquare',
"\x{332A}" => 'haitusquare',
"\x{332B}" => 'paasentosquare',
"\x{3331}" => 'birusquare',
"\x{3333}" => 'huiitosquare',
"\x{3336}" => 'hekutaarusquare',
"\x{3339}" => 'herutusquare',
"\x{333B}" => 'peezisquare',
"\x{3342}" => 'hoonsquare',
"\x{3347}" => 'mansyonsquare',
"\x{3349}" => 'mirisquare',
"\x{334A}" => 'miribaarusquare',
"\x{334D}" => 'meetorusquare',
"\x{334E}" => 'yaadosquare',
"\x{3351}" => 'rittorusquare',
"\x{3357}" => 'wattosquare',
"\x{337B}" => 'heiseierasquare',
"\x{337C}" => 'syouwaerasquare',
"\x{337D}" => 'taisyouerasquare',
"\x{337E}" => 'meizierasquare',
"\x{337F}" => 'corporationsquare',
"\x{3380}" => 'paampssquare',
"\x{3381}" => 'nasquare',
"\x{3382}" => 'muasquare',
"\x{3383}" => 'masquare',
"\x{3384}" => 'kasquare',
"\x{3385}" => 'KBsquare',
"\x{3386}" => 'MBsquare',
"\x{3387}" => 'GBsquare',
"\x{3388}" => 'calsquare',
"\x{3389}" => 'kcalsquare',
"\x{338A}" => 'pfsquare',
"\x{338B}" => 'nfsquare',
"\x{338C}" => 'mufsquare',
"\x{338D}" => 'mugsquare',
"\x{338E}" => 'squaremg',
"\x{338F}" => 'squarekg',
"\x{3390}" => 'Hzsquare',
"\x{3391}" => 'khzsquare',
"\x{3392}" => 'mhzsquare',
"\x{3393}" => 'ghzsquare',
"\x{3394}" => 'thzsquare',
"\x{3395}" => 'mulsquare',
"\x{3396}" => 'mlsquare',
"\x{3397}" => 'dlsquare',
"\x{3398}" => 'klsquare',
"\x{3399}" => 'fmsquare',
"\x{339A}" => 'nmsquare',
"\x{339B}" => 'mumsquare',
"\x{339C}" => 'squaremm',
"\x{339D}" => 'squarecm',
"\x{339E}" => 'squarekm',
"\x{339F}" => 'mmsquaredsquare',
"\x{33A0}" => 'cmsquaredsquare',
"\x{33A1}" => 'squaremsquared',
"\x{33A2}" => 'kmsquaredsquare',
"\x{33A3}" => 'mmcubedsquare',
"\x{33A4}" => 'cmcubedsquare',
"\x{33A5}" => 'mcubedsquare',
"\x{33A6}" => 'kmcubedsquare',
"\x{33A7}" => 'moverssquare',
"\x{33A8}" => 'moverssquaredsquare',
"\x{33A9}" => 'pasquare',
"\x{33AA}" => 'kpasquare',
"\x{33AB}" => 'mpasquare',
"\x{33AC}" => 'gpasquare',
"\x{33AD}" => 'radsquare',
"\x{33AE}" => 'radoverssquare',
"\x{33AF}" => 'radoverssquaredsquare',
"\x{33B0}" => 'pssquare',
"\x{33B1}" => 'nssquare',
"\x{33B2}" => 'mussquare',
"\x{33B3}" => 'mssquare',
"\x{33B4}" => 'pvsquare',
"\x{33B5}" => 'nvsquare',
"\x{33B6}" => 'muvsquare',
"\x{33B7}" => 'mvsquare',
"\x{33B8}" => 'kvsquare',
"\x{33B9}" => 'mvmegasquare',
"\x{33BA}" => 'pwsquare',
"\x{33BB}" => 'nwsquare',
"\x{33BC}" => 'muwsquare',
"\x{33BD}" => 'mwsquare',
"\x{33BE}" => 'kwsquare',
"\x{33BF}" => 'mwmegasquare',
"\x{33C0}" => 'kohmsquare',
"\x{33C1}" => 'mohmsquare',
"\x{33C2}" => 'amsquare',
"\x{33C3}" => 'bqsquare',
"\x{33C4}" => 'squarecc',
"\x{33C5}" => 'cdsquare',
"\x{33C6}" => 'coverkgsquare',
"\x{33C7}" => 'cosquare',
"\x{33C8}" => 'dbsquare',
"\x{33C9}" => 'gysquare',
"\x{33CA}" => 'hasquare',
"\x{33CB}" => 'HPsquare',
"\x{33CD}" => 'KKsquare',
"\x{33CE}" => 'squarekmcapital',
"\x{33CF}" => 'ktsquare',
"\x{33D0}" => 'lmsquare',
"\x{33D1}" => 'squareln',
"\x{33D2}" => 'squarelog',
"\x{33D3}" => 'lxsquare',
"\x{33D4}" => 'mbsquare',
"\x{33D5}" => 'squaremil',
"\x{33D6}" => 'molsquare',
"\x{33D8}" => 'pmsquare',
"\x{33DB}" => 'srsquare',
"\x{33DC}" => 'svsquare',
"\x{33DD}" => 'wbsquare',
"\x{5344}" => 'twentyhangzhou',
"\x{F6BE}" => 'dotlessj',
"\x{F6BF}" => 'LL',
"\x{F6C0}" => 'll',
"\x{F6C3}" => 'commaaccent',
"\x{F6C9}" => 'Acute',
"\x{F6CA}" => 'Caron',
"\x{F6CB}" => 'Dieresis',
"\x{F6CC}" => 'DieresisAcute',
"\x{F6CD}" => 'DieresisGrave',
"\x{F6CE}" => 'Grave',
"\x{F6CF}" => 'Hungarumlaut',
"\x{F6D0}" => 'Macron',
"\x{F6D1}" => 'cyrBreve',
"\x{F6D2}" => 'cyrFlex',
"\x{F6D3}" => 'dblGrave',
"\x{F6D4}" => 'cyrbreve',
"\x{F6D5}" => 'cyrflex',
"\x{F6D6}" => 'dblgrave',
"\x{F6D7}" => 'dieresisacute',
"\x{F6D8}" => 'dieresisgrave',
"\x{F6D9}" => 'copyrightserif',
"\x{F6DA}" => 'registerserif',
"\x{F6DB}" => 'trademarkserif',
"\x{F6DC}" => 'onefitted',
"\x{F6DD}" => 'rupiah',
"\x{F6DE}" => 'threequartersemdash',
"\x{F6DF}" => 'centinferior',
"\x{F6E0}" => 'centsuperior',
"\x{F6E1}" => 'commainferior',
"\x{F6E2}" => 'commasuperior',
"\x{F6E3}" => 'dollarinferior',
"\x{F6E4}" => 'dollarsuperior',
"\x{F6E5}" => 'hypheninferior',
"\x{F6E6}" => 'hyphensuperior',
"\x{F6E7}" => 'periodinferior',
"\x{F6E8}" => 'periodsuperior',
"\x{F6E9}" => 'asuperior',
"\x{F6EA}" => 'bsuperior',
"\x{F6EB}" => 'dsuperior',
"\x{F6EC}" => 'esuperior',
"\x{F6ED}" => 'isuperior',
"\x{F6EE}" => 'lsuperior',
"\x{F6EF}" => 'msuperior',
"\x{F6F0}" => 'osuperior',
"\x{F6F1}" => 'rsuperior',
"\x{F6F2}" => 'ssuperior',
"\x{F6F3}" => 'tsuperior',
"\x{F6F4}" => 'Brevesmall',
"\x{F6F5}" => 'Caronsmall',
"\x{F6F6}" => 'Circumflexsmall',
"\x{F6F7}" => 'Dotaccentsmall',
"\x{F6F8}" => 'Hungarumlautsmall',
"\x{F6F9}" => 'Lslashsmall',
"\x{F6FA}" => 'OEsmall',
"\x{F6FB}" => 'Ogoneksmall',
"\x{F6FC}" => 'Ringsmall',
"\x{F6FD}" => 'Scaronsmall',
"\x{F6FE}" => 'Tildesmall',
"\x{F6FF}" => 'Zcaronsmall',
"\x{F721}" => 'exclamsmall',
"\x{F724}" => 'dollaroldstyle',
"\x{F726}" => 'ampersandsmall',
"\x{F730}" => 'zerooldstyle',
"\x{F731}" => 'oneoldstyle',
"\x{F732}" => 'twooldstyle',
"\x{F733}" => 'threeoldstyle',
"\x{F734}" => 'fouroldstyle',
"\x{F735}" => 'fiveoldstyle',
"\x{F736}" => 'sixoldstyle',
"\x{F737}" => 'sevenoldstyle',
"\x{F738}" => 'eightoldstyle',
"\x{F739}" => 'nineoldstyle',
"\x{F73F}" => 'questionsmall',
"\x{F760}" => 'Gravesmall',
"\x{F761}" => 'Asmall',
"\x{F762}" => 'Bsmall',
"\x{F763}" => 'Csmall',
"\x{F764}" => 'Dsmall',
"\x{F765}" => 'Esmall',
"\x{F766}" => 'Fsmall',
"\x{F767}" => 'Gsmall',
"\x{F768}" => 'Hsmall',
"\x{F769}" => 'Ismall',
"\x{F76A}" => 'Jsmall',
"\x{F76B}" => 'Ksmall',
"\x{F76C}" => 'Lsmall',
"\x{F76D}" => 'Msmall',
"\x{F76E}" => 'Nsmall',
"\x{F76F}" => 'Osmall',
"\x{F770}" => 'Psmall',
"\x{F771}" => 'Qsmall',
"\x{F772}" => 'Rsmall',
"\x{F773}" => 'Ssmall',
"\x{F774}" => 'Tsmall',
"\x{F775}" => 'Usmall',
"\x{F776}" => 'Vsmall',
"\x{F777}" => 'Wsmall',
"\x{F778}" => 'Xsmall',
"\x{F779}" => 'Ysmall',
"\x{F77A}" => 'Zsmall',
"\x{F7A1}" => 'exclamdownsmall',
"\x{F7A2}" => 'centoldstyle',
"\x{F7A8}" => 'Dieresissmall',
"\x{F7AF}" => 'Macronsmall',
"\x{F7B4}" => 'Acutesmall',
"\x{F7B8}" => 'Cedillasmall',
"\x{F7BF}" => 'questiondownsmall',
"\x{F7E0}" => 'Agravesmall',
"\x{F7E1}" => 'Aacutesmall',
"\x{F7E2}" => 'Acircumflexsmall',
"\x{F7E3}" => 'Atildesmall',
"\x{F7E4}" => 'Adieresissmall',
"\x{F7E5}" => 'Aringsmall',
"\x{F7E6}" => 'AEsmall',
"\x{F7E7}" => 'Ccedillasmall',
"\x{F7E8}" => 'Egravesmall',
"\x{F7E9}" => 'Eacutesmall',
"\x{F7EA}" => 'Ecircumflexsmall',
"\x{F7EB}" => 'Edieresissmall',
"\x{F7EC}" => 'Igravesmall',
"\x{F7ED}" => 'Iacutesmall',
"\x{F7EE}" => 'Icircumflexsmall',
"\x{F7EF}" => 'Idieresissmall',
"\x{F7F0}" => 'Ethsmall',
"\x{F7F1}" => 'Ntildesmall',
"\x{F7F2}" => 'Ogravesmall',
"\x{F7F3}" => 'Oacutesmall',
"\x{F7F4}" => 'Ocircumflexsmall',
"\x{F7F5}" => 'Otildesmall',
"\x{F7F6}" => 'Odieresissmall',
"\x{F7F8}" => 'Oslashsmall',
"\x{F7F9}" => 'Ugravesmall',
"\x{F7FA}" => 'Uacutesmall',
"\x{F7FB}" => 'Ucircumflexsmall',
"\x{F7FC}" => 'Udieresissmall',
"\x{F7FD}" => 'Yacutesmall',
"\x{F7FE}" => 'Thornsmall',
"\x{F7FF}" => 'Ydieresissmall',
"\x{F884}" => 'maihanakatleftthai',
"\x{F885}" => 'saraileftthai',
"\x{F886}" => 'saraiileftthai',
"\x{F887}" => 'saraueleftthai',
"\x{F888}" => 'saraueeleftthai',
"\x{F889}" => 'maitaikhuleftthai',
"\x{F88A}" => 'maiekupperleftthai',
"\x{F88B}" => 'maieklowrightthai',
"\x{F88C}" => 'maieklowleftthai',
"\x{F88D}" => 'maithoupperleftthai',
"\x{F88E}" => 'maitholowrightthai',
"\x{F88F}" => 'maitholowleftthai',
"\x{F890}" => 'maitriupperleftthai',
"\x{F891}" => 'maitrilowrightthai',
"\x{F892}" => 'maitrilowleftthai',
"\x{F893}" => 'maichattawaupperleftthai',
"\x{F894}" => 'maichattawalowrightthai',
"\x{F895}" => 'maichattawalowleftthai',
"\x{F896}" => 'thanthakhatupperleftthai',
"\x{F897}" => 'thanthakhatlowrightthai',
"\x{F898}" => 'thanthakhatlowleftthai',
"\x{F899}" => 'nikhahitleftthai',
"\x{F8E5}" => 'radicalex',
"\x{F8E6}" => 'arrowvertex',
"\x{F8E7}" => 'arrowhorizex',
"\x{F8E8}" => 'registersans',
"\x{F8E9}" => 'copyrightsans',
"\x{F8EA}" => 'trademarksans',
"\x{F8EB}" => 'parenlefttp',
"\x{F8EC}" => 'parenleftex',
"\x{F8ED}" => 'parenleftbt',
"\x{F8EE}" => 'bracketlefttp',
"\x{F8EF}" => 'bracketleftex',
"\x{F8F0}" => 'bracketleftbt',
"\x{F8F1}" => 'bracelefttp',
"\x{F8F2}" => 'braceleftmid',
"\x{F8F3}" => 'braceleftbt',
"\x{F8F4}" => 'braceex',
"\x{F8F5}" => 'integralex',
"\x{F8F6}" => 'parenrighttp',
"\x{F8F7}" => 'parenrightex',
"\x{F8F8}" => 'parenrightbt',
"\x{F8F9}" => 'bracketrighttp',
"\x{F8FA}" => 'bracketrightex',
"\x{F8FB}" => 'bracketrightbt',
"\x{F8FC}" => 'bracerighttp',
"\x{F8FD}" => 'bracerightmid',
"\x{F8FE}" => 'bracerightbt',
"\x{F8FF}" => 'apple',
"\x{FB00}" => 'ff',
"\x{FB01}" => 'fi',
"\x{FB02}" => 'fl',
"\x{FB03}" => 'ffi',
"\x{FB04}" => 'ffl',
"\x{FB1F}" => 'doubleyodpatah',
"\x{FB20}" => 'ayinaltonehebrew',
"\x{FB2A}" => 'shinshindot',
"\x{FB2B}" => 'shinsindot',
"\x{FB2C}" => 'shindageshshindot',
"\x{FB2D}" => 'shindageshsindot',
"\x{FB2E}" => 'alefpatahhebrew',
"\x{FB2F}" => 'alefqamatshebrew',
"\x{FB30}" => 'alefdageshhebrew',
"\x{FB31}" => 'betdagesh',
"\x{FB32}" => 'gimeldagesh',
"\x{FB33}" => 'daletdagesh',
"\x{FB34}" => 'hedagesh',
"\x{FB35}" => 'vavdagesh',
"\x{FB36}" => 'zayindagesh',
"\x{FB38}" => 'tetdagesh',
"\x{FB39}" => 'yoddagesh',
"\x{FB3A}" => 'finalkafdagesh',
"\x{FB3B}" => 'kafdagesh',
"\x{FB3C}" => 'lameddagesh',
"\x{FB3E}" => 'memdagesh',
"\x{FB40}" => 'nundagesh',
"\x{FB41}" => 'samekhdagesh',
"\x{FB43}" => 'pefinaldageshhebrew',
"\x{FB44}" => 'pedagesh',
"\x{FB46}" => 'tsadidagesh',
"\x{FB47}" => 'qofdagesh',
"\x{FB48}" => 'reshdageshhebrew',
"\x{FB49}" => 'shindagesh',
"\x{FB4A}" => 'tavdages',
"\x{FB4B}" => 'vavholam',
"\x{FB4C}" => 'betrafehebrew',
"\x{FB4D}" => 'kafrafehebrew',
"\x{FB4E}" => 'perafehebrew',
"\x{FB4F}" => 'aleflamedhebrew',
"\x{FB57}" => 'pehfinalarabic',
"\x{FB58}" => 'pehinitialarabic',
"\x{FB59}" => 'pehmedialarabic',
"\x{FB67}" => 'ttehfinalarabic',
"\x{FB68}" => 'ttehinitialarabic',
"\x{FB69}" => 'ttehmedialarabic',
"\x{FB6B}" => 'vehfinalarabic',
"\x{FB6C}" => 'vehinitialarabic',
"\x{FB6D}" => 'vehmedialarabic',
"\x{FB7B}" => 'tchehfinalarabic',
"\x{FB7C}" => 'tchehinitialarabic',
"\x{FB7D}" => 'tchehmedialarabic',
"\x{FB89}" => 'ddalfinalarabic',
"\x{FB8B}" => 'jehfinalarabic',
"\x{FB8D}" => 'rrehfinalarabic',
"\x{FB93}" => 'gaffinalarabic',
"\x{FB94}" => 'gafinitialarabic',
"\x{FB95}" => 'gafmedialarabic',
"\x{FB9F}" => 'noonghunnafinalarabic',
"\x{FBA4}" => 'hehhamzaaboveisolatedarabic',
"\x{FBA5}" => 'hehhamzaabovefinalarabic',
"\x{FBA7}" => 'hehfinalaltonearabic',
"\x{FBA8}" => 'hehinitialaltonearabic',
"\x{FBA9}" => 'hehmedialaltonearabic',
"\x{FBAF}" => 'yehbarreefinalarabic',
"\x{FC08}" => 'behmeemisolatedarabic',
"\x{FC0B}" => 'tehjeemisolatedarabic',
"\x{FC0C}" => 'tehhahisolatedarabic',
"\x{FC0E}" => 'tehmeemisolatedarabic',
"\x{FC48}" => 'meemmeemisolatedarabic',
"\x{FC4B}" => 'noonjeemisolatedarabic',
"\x{FC4E}" => 'noonmeemisolatedarabic',
"\x{FC58}" => 'yehmeemisolatedarabic',
"\x{FC5E}" => 'shaddadammatanarabic',
"\x{FC5F}" => 'shaddakasratanarabic',
"\x{FC60}" => 'shaddafathaarabic',
"\x{FC61}" => 'shaddadammaarabic',
"\x{FC62}" => 'shaddakasraarabic',
"\x{FC6D}" => 'behnoonfinalarabic',
"\x{FC73}" => 'tehnoonfinalarabic',
"\x{FC8D}" => 'noonnoonfinalarabic',
"\x{FC94}" => 'yehnoonfinalarabic',
"\x{FC9F}" => 'behmeeminitialarabic',
"\x{FCA1}" => 'tehjeeminitialarabic',
"\x{FCA2}" => 'tehhahinitialarabic',
"\x{FCA4}" => 'tehmeeminitialarabic',
"\x{FCC9}" => 'lamjeeminitialarabic',
"\x{FCCA}" => 'lamhahinitialarabic',
"\x{FCCB}" => 'lamkhahinitialarabic',
"\x{FCCC}" => 'lammeeminitialarabic',
"\x{FCD1}" => 'meemmeeminitialarabic',
"\x{FCD2}" => 'noonjeeminitialarabic',
"\x{FCD5}" => 'noonmeeminitialarabic',
"\x{FCDD}" => 'yehmeeminitialarabic',
"\x{FD3E}" => 'parenleftaltonearabic',
"\x{FD3F}" => 'parenrightaltonearabic',
"\x{FD88}" => 'lammeemhahinitialarabic',
"\x{FDF2}" => 'lamlamhehisolatedarabic',
"\x{FDFA}" => 'sallallahoualayhewasallamarabic',
"\x{FE30}" => 'twodotleadervertical',
"\x{FE31}" => 'emdashvertical',
"\x{FE32}" => 'endashvertical',
"\x{FE33}" => 'underscorevertical',
"\x{FE34}" => 'wavyunderscorevertical',
"\x{FE35}" => 'parenleftvertical',
"\x{FE36}" => 'parenrightvertical',
"\x{FE37}" => 'braceleftvertical',
"\x{FE38}" => 'bracerightvertical',
"\x{FE39}" => 'tortoiseshellbracketleftvertical',
"\x{FE3A}" => 'tortoiseshellbracketrightvertical',
"\x{FE3B}" => 'blacklenticularbracketleftvertical',
"\x{FE3C}" => 'blacklenticularbracketrightvertical',
"\x{FE3D}" => 'dblanglebracketleftvertical',
"\x{FE3E}" => 'dblanglebracketrightvertical',
"\x{FE3F}" => 'anglebracketleftvertical',
"\x{FE40}" => 'anglebracketrightvertical',
"\x{FE41}" => 'cornerbracketleftvertical',
"\x{FE42}" => 'cornerbracketrightvertical',
"\x{FE43}" => 'whitecornerbracketleftvertical',
"\x{FE44}" => 'whitecornerbracketrightvertical',
"\x{FE49}" => 'overlinedashed',
"\x{FE4A}" => 'overlinecenterline',
"\x{FE4B}" => 'overlinewavy',
"\x{FE4C}" => 'overlinedblwavy',
"\x{FE4D}" => 'lowlinedashed',
"\x{FE4E}" => 'lowlinecenterline',
"\x{FE4F}" => 'underscorewavy',
"\x{FE50}" => 'commasmall',
"\x{FE52}" => 'periodsmall',
"\x{FE54}" => 'semicolonsmall',
"\x{FE55}" => 'colonsmall',
"\x{FE59}" => 'parenleftsmall',
"\x{FE5A}" => 'parenrightsmall',
"\x{FE5B}" => 'braceleftsmall',
"\x{FE5C}" => 'bracerightsmall',
"\x{FE5D}" => 'tortoiseshellbracketleftsmall',
"\x{FE5E}" => 'tortoiseshellbracketrightsmall',
"\x{FE5F}" => 'numbersignsmall',
"\x{FE61}" => 'asterisksmall',
"\x{FE62}" => 'plussmall',
"\x{FE63}" => 'hyphensmall',
"\x{FE64}" => 'lesssmall',
"\x{FE65}" => 'greatersmall',
"\x{FE66}" => 'equalsmall',
"\x{FE69}" => 'dollarsmall',
"\x{FE6A}" => 'percentsmall',
"\x{FE6B}" => 'atsmall',
"\x{FE82}" => 'alefmaddaabovefinalarabic',
"\x{FE84}" => 'alefhamzaabovefinalarabic',
"\x{FE86}" => 'wawhamzaabovefinalarabic',
"\x{FE88}" => 'alefhamzabelowfinalarabic',
"\x{FE8A}" => 'yehhamzaabovefinalarabic',
"\x{FE8B}" => 'yehhamzaaboveinitialarabic',
"\x{FE8C}" => 'yehhamzaabovemedialarabic',
"\x{FE8E}" => 'aleffinalarabic',
"\x{FE90}" => 'behfinalarabic',
"\x{FE91}" => 'behinitialarabic',
"\x{FE92}" => 'behmedialarabic',
"\x{FE94}" => 'tehmarbutafinalarabic',
"\x{FE96}" => 'tehfinalarabic',
"\x{FE97}" => 'tehinitialarabic',
"\x{FE98}" => 'tehmedialarabic',
"\x{FE9A}" => 'thehfinalarabic',
"\x{FE9B}" => 'thehinitialarabic',
"\x{FE9C}" => 'thehmedialarabic',
"\x{FE9E}" => 'jeemfinalarabic',
"\x{FE9F}" => 'jeeminitialarabic',
"\x{FEA0}" => 'jeemmedialarabic',
"\x{FEA2}" => 'hahfinalarabic',
"\x{FEA3}" => 'hahinitialarabic',
"\x{FEA4}" => 'hahmedialarabic',
"\x{FEA6}" => 'khahfinalarabic',
"\x{FEA7}" => 'khahinitialarabic',
"\x{FEA8}" => 'khahmedialarabic',
"\x{FEAA}" => 'dalfinalarabic',
"\x{FEAC}" => 'thalfinalarabic',
"\x{FEAE}" => 'rehfinalarabic',
"\x{FEB0}" => 'zainfinalarabic',
"\x{FEB2}" => 'seenfinalarabic',
"\x{FEB3}" => 'seeninitialarabic',
"\x{FEB4}" => 'seenmedialarabic',
"\x{FEB6}" => 'sheenfinalarabic',
"\x{FEB7}" => 'sheeninitialarabic',
"\x{FEB8}" => 'sheenmedialarabic',
"\x{FEBA}" => 'sadfinalarabic',
"\x{FEBB}" => 'sadinitialarabic',
"\x{FEBC}" => 'sadmedialarabic',
"\x{FEBE}" => 'dadfinalarabic',
"\x{FEBF}" => 'dadinitialarabic',
"\x{FEC0}" => 'dadmedialarabic',
"\x{FEC2}" => 'tahfinalarabic',
"\x{FEC3}" => 'tahinitialarabic',
"\x{FEC4}" => 'tahmedialarabic',
"\x{FEC6}" => 'zahfinalarabic',
"\x{FEC7}" => 'zahinitialarabic',
"\x{FEC8}" => 'zahmedialarabic',
"\x{FECA}" => 'ainfinalarabic',
"\x{FECB}" => 'aininitialarabic',
"\x{FECC}" => 'ainmedialarabic',
"\x{FECE}" => 'ghainfinalarabic',
"\x{FECF}" => 'ghaininitialarabic',
"\x{FED0}" => 'ghainmedialarabic',
"\x{FED2}" => 'fehfinalarabic',
"\x{FED3}" => 'fehinitialarabic',
"\x{FED4}" => 'fehmedialarabic',
"\x{FED6}" => 'qaffinalarabic',
"\x{FED7}" => 'qafinitialarabic',
"\x{FED8}" => 'qafmedialarabic',
"\x{FEDA}" => 'kaffinalarabic',
"\x{FEDB}" => 'kafinitialarabic',
"\x{FEDC}" => 'kafmedialarabic',
"\x{FEDE}" => 'lamfinalarabic',
"\x{FEDF}" => 'laminitialarabic',
"\x{FEE0}" => 'lammedialarabic',
"\x{FEE2}" => 'meemfinalarabic',
"\x{FEE3}" => 'meeminitialarabic',
"\x{FEE4}" => 'meemmedialarabic',
"\x{FEE6}" => 'noonfinalarabic',
"\x{FEE7}" => 'nooninitialarabic',
"\x{FEE8}" => 'noonmedialarabic',
"\x{FEEA}" => 'hehfinalarabic',
"\x{FEEB}" => 'hehinitialarabic',
"\x{FEEC}" => 'hehmedialarabic',
"\x{FEEE}" => 'wawfinalarabic',
"\x{FEF0}" => 'alefmaksurafinalarabic',
"\x{FEF2}" => 'yehfinalarabic',
"\x{FEF3}" => 'yehinitialarabic',
"\x{FEF4}" => 'yehmedialarabic',
"\x{FEF5}" => 'lamalefmaddaaboveisolatedarabic',
"\x{FEF6}" => 'lamalefmaddaabovefinalarabic',
"\x{FEF7}" => 'lamalefhamzaaboveisolatedarabic',
"\x{FEF8}" => 'lamalefhamzaabovefinalarabic',
"\x{FEF9}" => 'lamalefhamzabelowisolatedarabic',
"\x{FEFA}" => 'lamalefhamzabelowfinalarabic',
"\x{FEFB}" => 'lamalefisolatedarabic',
"\x{FEFC}" => 'lamaleffinalarabic',
"\x{FEFF}" => 'zerowidthjoiner',
"\x{FF01}" => 'exclammonospace',
"\x{FF02}" => 'quotedblmonospace',
"\x{FF03}" => 'numbersignmonospace',
"\x{FF04}" => 'dollarmonospace',
"\x{FF05}" => 'percentmonospace',
"\x{FF06}" => 'ampersandmonospace',
"\x{FF07}" => 'quotesinglemonospace',
"\x{FF08}" => 'parenleftmonospace',
"\x{FF09}" => 'parenrightmonospace',
"\x{FF0A}" => 'asteriskmonospace',
"\x{FF0B}" => 'plusmonospace',
"\x{FF0C}" => 'commamonospace',
"\x{FF0D}" => 'hyphenmonospace',
"\x{FF0E}" => 'periodmonospace',
"\x{FF0F}" => 'slashmonospace',
"\x{FF10}" => 'zeromonospace',
"\x{FF11}" => 'onemonospace',
"\x{FF12}" => 'twomonospace',
"\x{FF13}" => 'threemonospace',
"\x{FF14}" => 'fourmonospace',
"\x{FF15}" => 'fivemonospace',
"\x{FF16}" => 'sixmonospace',
"\x{FF17}" => 'sevenmonospace',
"\x{FF18}" => 'eightmonospace',
"\x{FF19}" => 'ninemonospace',
"\x{FF1A}" => 'colonmonospace',
"\x{FF1B}" => 'semicolonmonospace',
"\x{FF1C}" => 'lessmonospace',
"\x{FF1D}" => 'equalmonospace',
"\x{FF1E}" => 'greatermonospace',
"\x{FF1F}" => 'questionmonospace',
"\x{FF20}" => 'atmonospace',
"\x{FF21}" => 'Amonospace',
"\x{FF22}" => 'Bmonospace',
"\x{FF23}" => 'Cmonospace',
"\x{FF24}" => 'Dmonospace',
"\x{FF25}" => 'Emonospace',
"\x{FF26}" => 'Fmonospace',
"\x{FF27}" => 'Gmonospace',
"\x{FF28}" => 'Hmonospace',
"\x{FF29}" => 'Imonospace',
"\x{FF2A}" => 'Jmonospace',
"\x{FF2B}" => 'Kmonospace',
"\x{FF2C}" => 'Lmonospace',
"\x{FF2D}" => 'Mmonospace',
"\x{FF2E}" => 'Nmonospace',
"\x{FF2F}" => 'Omonospace',
"\x{FF30}" => 'Pmonospace',
"\x{FF31}" => 'Qmonospace',
"\x{FF32}" => 'Rmonospace',
"\x{FF33}" => 'Smonospace',
"\x{FF34}" => 'Tmonospace',
"\x{FF35}" => 'Umonospace',
"\x{FF36}" => 'Vmonospace',
"\x{FF37}" => 'Wmonospace',
"\x{FF38}" => 'Xmonospace',
"\x{FF39}" => 'Ymonospace',
"\x{FF3A}" => 'Zmonospace',
"\x{FF3B}" => 'bracketleftmonospace',
"\x{FF3C}" => 'backslashmonospace',
"\x{FF3D}" => 'bracketrightmonospace',
"\x{FF3E}" => 'asciicircummonospace',
"\x{FF3F}" => 'underscoremonospace',
"\x{FF40}" => 'gravemonospace',
"\x{FF41}" => 'amonospace',
"\x{FF42}" => 'bmonospace',
"\x{FF43}" => 'cmonospace',
"\x{FF44}" => 'dmonospace',
"\x{FF45}" => 'emonospace',
"\x{FF46}" => 'fmonospace',
"\x{FF47}" => 'gmonospace',
"\x{FF48}" => 'hmonospace',
"\x{FF49}" => 'imonospace',
"\x{FF4A}" => 'jmonospace',
"\x{FF4B}" => 'kmonospace',
"\x{FF4C}" => 'lmonospace',
"\x{FF4D}" => 'mmonospace',
"\x{FF4E}" => 'nmonospace',
"\x{FF4F}" => 'omonospace',
"\x{FF50}" => 'pmonospace',
"\x{FF51}" => 'qmonospace',
"\x{FF52}" => 'rmonospace',
"\x{FF53}" => 'smonospace',
"\x{FF54}" => 'tmonospace',
"\x{FF55}" => 'umonospace',
"\x{FF56}" => 'vmonospace',
"\x{FF57}" => 'wmonospace',
"\x{FF58}" => 'xmonospace',
"\x{FF59}" => 'ymonospace',
"\x{FF5A}" => 'zmonospace',
"\x{FF5B}" => 'braceleftmonospace',
"\x{FF5C}" => 'barmonospace',
"\x{FF5D}" => 'bracerightmonospace',
"\x{FF5E}" => 'asciitildemonospace',
"\x{FF61}" => 'periodhalfwidth',
"\x{FF62}" => 'cornerbracketlefthalfwidth',
"\x{FF63}" => 'cornerbracketrighthalfwidth',
"\x{FF64}" => 'ideographiccommaleft',
"\x{FF65}" => 'middledotkatakanahalfwidth',
"\x{FF66}" => 'wokatakanahalfwidth',
"\x{FF67}" => 'asmallkatakanahalfwidth',
"\x{FF68}" => 'ismallkatakanahalfwidth',
"\x{FF69}" => 'usmallkatakanahalfwidth',
"\x{FF6A}" => 'esmallkatakanahalfwidth',
"\x{FF6B}" => 'osmallkatakanahalfwidth',
"\x{FF6C}" => 'yasmallkatakanahalfwidth',
"\x{FF6D}" => 'yusmallkatakanahalfwidth',
"\x{FF6E}" => 'yosmallkatakanahalfwidth',
"\x{FF6F}" => 'tusmallkatakanahalfwidth',
"\x{FF70}" => 'katahiraprolongmarkhalfwidth',
"\x{FF71}" => 'akatakanahalfwidth',
"\x{FF72}" => 'ikatakanahalfwidth',
"\x{FF73}" => 'ukatakanahalfwidth',
"\x{FF74}" => 'ekatakanahalfwidth',
"\x{FF75}" => 'okatakanahalfwidth',
"\x{FF76}" => 'kakatakanahalfwidth',
"\x{FF77}" => 'kikatakanahalfwidth',
"\x{FF78}" => 'kukatakanahalfwidth',
"\x{FF79}" => 'kekatakanahalfwidth',
"\x{FF7A}" => 'kokatakanahalfwidth',
"\x{FF7B}" => 'sakatakanahalfwidth',
"\x{FF7C}" => 'sikatakanahalfwidth',
"\x{FF7D}" => 'sukatakanahalfwidth',
"\x{FF7E}" => 'sekatakanahalfwidth',
"\x{FF7F}" => 'sokatakanahalfwidth',
"\x{FF80}" => 'takatakanahalfwidth',
"\x{FF81}" => 'tikatakanahalfwidth',
"\x{FF82}" => 'tukatakanahalfwidth',
"\x{FF83}" => 'tekatakanahalfwidth',
"\x{FF84}" => 'tokatakanahalfwidth',
"\x{FF85}" => 'nakatakanahalfwidth',
"\x{FF86}" => 'nikatakanahalfwidth',
"\x{FF87}" => 'nukatakanahalfwidth',
"\x{FF88}" => 'nekatakanahalfwidth',
"\x{FF89}" => 'nokatakanahalfwidth',
"\x{FF8A}" => 'hakatakanahalfwidth',
"\x{FF8B}" => 'hikatakanahalfwidth',
"\x{FF8C}" => 'hukatakanahalfwidth',
"\x{FF8D}" => 'hekatakanahalfwidth',
"\x{FF8E}" => 'hokatakanahalfwidth',
"\x{FF8F}" => 'makatakanahalfwidth',
"\x{FF90}" => 'mikatakanahalfwidth',
"\x{FF91}" => 'mukatakanahalfwidth',
"\x{FF92}" => 'mekatakanahalfwidth',
"\x{FF93}" => 'mokatakanahalfwidth',
"\x{FF94}" => 'yakatakanahalfwidth',
"\x{FF95}" => 'yukatakanahalfwidth',
"\x{FF96}" => 'yokatakanahalfwidth',
"\x{FF97}" => 'rakatakanahalfwidth',
"\x{FF98}" => 'rikatakanahalfwidth',
"\x{FF99}" => 'rukatakanahalfwidth',
"\x{FF9A}" => 'rekatakanahalfwidth',
"\x{FF9B}" => 'rokatakanahalfwidth',
"\x{FF9C}" => 'wakatakanahalfwidth',
"\x{FF9D}" => 'nkatakanahalfwidth',
"\x{FF9E}" => 'voicedmarkkanahalfwidth',
"\x{FF9F}" => 'semivoicedmarkkanahalfwidth',
"\x{FFE0}" => 'centmonospace',
"\x{FFE1}" => 'sterlingmonospace',
"\x{FFE3}" => 'macronmonospace',
"\x{FFE5}" => 'yenmonospace',
"\x{FFE6}" => 'wonmonospace',
ij => 'ij',
oe => 'oe',
ff => 'ff',
fl => 'fl',
ffi => 'ffi',
ffl => 'ffl',
st => 'st',
IJ => 'IJ',
OE => 'OE',
St => 'longst',
"\x{565}\x{582}" => 'echyiwnarmenian',
"\x{5d5}\x{5d5}" => 'vavvavhebrew',
"\x{5d5}\x{5d9}" => 'vavyodhebrew',
"\x{5d9}\x{5d9}" => 'yodyodhebrew',
"\x{5d9}\x{5d9}\x{5b7}" => 'yodyodpatahhebrew',
"\x{5d9}\x{5d9}\x{5b2}" => 'yodyodpatahhebrew',
"\x{5d0}\x{5dc}" => 'aleflamedhebrew',
"\x{644}\x{622}" => 'lamalefmaddaaboveisolatedarabic',
"\x{644}\x{623}" => 'lamalefhamzaaboveisolatedarabic',
"\x{644}\x{625}" => 'lamalefhamzabelowisolatedarabic',
"\x{644}\x{627}" => 'lamalefisolatedarabic',
};

1;
